#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drbd_conn_str, "", "");
KSYMTAB_FUNC(drbd_role_str, "", "");
KSYMTAB_FUNC(drbd_disk_str, "", "");
KSYMTAB_FUNC(drbd_set_st_err_str, "", "");

SYMBOL_CRC(drbd_conn_str, 0x7730f22d, "");
SYMBOL_CRC(drbd_role_str, 0x35131b36, "");
SYMBOL_CRC(drbd_disk_str, 0xaf27bebf, "");
SYMBOL_CRC(drbd_set_st_err_str, 0x127a5901, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5078136a, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x73a62b1f, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x422c1305, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0xef6b7a8b, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf1f86efa, "sk_skb_reason_drop" },
	{ 0x7169f731, "lc_element_by_index" },
	{ 0xec329d15, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xeabf06ff, "submit_bio_noacct" },
	{ 0xd04dffc, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x779e13d2, "set_cpus_allowed_ptr" },
	{ 0x172ae672, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1ddd1ad9, "seq_putc" },
	{ 0x8d304f20, "nla_put" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xd1025cf, "crypto_shash_digest" },
	{ 0xb3bb2933, "iov_iter_kvec" },
	{ 0xd8788666, "blkdev_issue_zeroout" },
	{ 0xcd279169, "nla_find" },
	{ 0xf2a35f94, "blk_stack_limits" },
	{ 0xf1e046cc, "panic" },
	{ 0xbe0f129a, "sock_sendmsg" },
	{ 0x7a315806, "bio_add_page" },
	{ 0xc9d9229e, "crypto_shash_update" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x984e8d51, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcf0aff85, "lc_create" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbdc9a01, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x60b66a68, "blk_set_stacking_limits" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xfa1ce12c, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x2de411d7, "bio_alloc_clone" },
	{ 0x6d2b5f55, "lc_try_lock" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x799a6bb5, "iov_iter_bvec" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x851681e7, "lc_destroy" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xb0a1de1f, "__kmem_cache_create_args" },
	{ 0xc4d80ba9, "lc_reset" },
	{ 0x92d6e59b, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd4fe069a, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xee37d17c, "kthread_create_on_node" },
	{ 0xb60ec1e6, "lc_is_used" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x84164447, "pv_ops" },
	{ 0xa719d826, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cbf563a, "lc_seq_dump_details" },
	{ 0xa80e4eb0, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe1c5635f, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x4e6d054e, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf7b05dd3, "param_ops_bool" },
	{ 0x8cc118e8, "bioset_init" },
	{ 0x554475ca, "seq_write" },
	{ 0x92a7cf24, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe2889a12, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x49b7fad9, "sock_recvmsg" },
	{ 0xe726a67c, "kobject_uevent" },
	{ 0x8698b1dc, "sock_release" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe7984cd3, "bd_link_disk_holder" },
	{ 0x3d5f044c, "alloc_pages_noprof" },
	{ 0x90667099, "queue_limits_commit_update" },
	{ 0xfc79eb12, "single_release" },
	{ 0xc4ed5b21, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x42c4ef82, "tcp_sock_set_nodelay" },
	{ 0x2b9250dd, "send_sig" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x41c4de8d, "genl_unregister_family" },
	{ 0x71445e30, "__seq_puts" },
	{ 0x2d2431ac, "proc_create_single_data" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x753a06ce, "lc_put" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xddffd585, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xdc890d61, "lc_find" },
	{ 0x665bbd8, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x2d012cfc, "crypto_alloc_shash" },
	{ 0xce693ee4, "debugfs_create_dir" },
	{ 0x503443dc, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x2b9da7a4, "genl_lock" },
	{ 0xfce541c2, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x430a2809, "fs_bio_set" },
	{ 0x2d0c78b4, "kmem_cache_destroy" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x543b2c3c, "blkdev_issue_discard" },
	{ 0x2ce3e6f0, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xf841facd, "lc_seq_printf_stats" },
	{ 0x63ca3600, "set_disk_ro" },
	{ 0x91833e0b, "__blk_alloc_disk" },
	{ 0x4a95c4ca, "bdev_alignment_offset" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x5773a673, "bdev_file_open_by_path" },
	{ 0x5b00129, "try_module_get" },
	{ 0x8b2c4012, "tcp_sock_set_cork" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xe662d3a5, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x57e9c23f, "blk_start_plug" },
	{ 0x20978fb9, "idr_find" },
	{ 0x83c2bbf3, "param_ops_uint" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x29a34d81, "lc_get_cumulative" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd2048a7, "bio_split_to_limits" },
	{ 0x1885a11c, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x72c62c1d, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x94649179, "genlmsg_put" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xfbd0f31, "pcpu_hot" },
	{ 0x239c6232, "seq_lseek" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb3d9fc42, "kernel_accept" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd93f6211, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x7f61f973, "tcp_sock_set_quickack" },
	{ 0xf155af5a, "netlink_broadcast_filtered" },
	{ 0xec4f63a0, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe7a34093, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xbf5f2b98, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8d7268ac, "lc_del" },
	{ 0x86b355fc, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x52f4a5b1, "put_disk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2d140a58, "genl_unlock" },
	{ 0xa916b694, "strnlen" },
	{ 0x1487e6, "lc_committed" },
	{ 0xfbb30ebd, "lc_get" },
	{ 0x19562170, "__alloc_skb" },
	{ 0x33b84f74, "copy_page" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xea5223b5, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8d66e1f8, "__free_pages" },
	{ 0xa2b368f2, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9062594, "submit_bio" },
	{ 0x4a65371f, "module_put" },
	{ 0x1f3616f1, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbc623a7a, "bdev_discard_alignment" },
	{ 0x660b120c, "lc_try_get" },
	{ 0xdfd2be68, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x27ed1bbc, "flush_signals" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xdbfb467a, "bio_put" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "lru_cache,libcrc32c");


MODULE_INFO(srcversion, "900745622289D38C0BAB129");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
