#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mailbox_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dport_init_ras_reporting, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_dax_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x2d8998b0, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0xf3b82767, "_gpl");
SYMBOL_CRC(is_root_decoder, 0xc0423c3c, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x7ca68ff5, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x81cdc466, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0xd61863d3, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x5ba2c3e6, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x7f9aadaf, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xe845e9ea, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x3652c7ae, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0x683476e2, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0xfe52836c, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0xf4bf3055, "_gpl");
SYMBOL_CRC(find_cxl_root, 0xbf821f76, "_gpl");
SYMBOL_CRC(put_cxl_root, 0x800ac221, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x8111728d, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xbe4e458b, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x41427562, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x0997bc81, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x86d2472f, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x7ee4d99a, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x8a295501, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x865f3a5b, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x36bd1027, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0xeef4ea4d, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xf8306868, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x82298616, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x7165810e, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x7c745354, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0xb0ccd89a, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0x51373b40, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x9252723d, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x912b9c24, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x5db76714, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x8fd5f6f8, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0xefcde8d4, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x7dd7f781, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x01b62ba1, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x53db975a, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x60f9fef7, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0xd3bc0ff6, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x44215178, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0xcea86206, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0xe43e95b3, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x1367b780, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0xb788db03, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x225a61c4, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0xb4fea836, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0xd54cd1bb, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0x939bf18b, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x0733f19a, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x73b9529f, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0xc8fffebe, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0x24b5ce08, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x9ba9ec52, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x8fbac336, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0xa878a8f9, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0x2eb289b7, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0xbe9316fa, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x2f27837f, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x69a64531, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x85c9524a, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0x09de323b, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0xd5210d0d, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x7f7609be, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x29be8cf3, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0xaf2e96b2, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0xb05e13c1, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0xc444a1b6, "_gpl");
SYMBOL_CRC(cxl_mailbox_init, 0x88faa7bc, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0xd7d4d4b5, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x1d452c73, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0xa1089ea4, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0xf4952c93, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x33fb25fe, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x35aaf91d, "_gpl");
SYMBOL_CRC(cxl_dport_init_ras_reporting, 0xf5eb5ece, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x07092df0, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x3302d0f8, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0x42e356e3, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x53b33823, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0xe89cb0e0, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x2b3b5e13, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0xf58e3f84, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0x7a408cc2, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0xd37387b1, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x0818b7a7, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0xa84b5b2b, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0xca8a777c, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x27a68e80, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x22cfc6b4, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0xb7d219ef, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0xb34c0d20, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x3571b2ad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76785dc4, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x5d50acd3, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x7308b262, "kernfs_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x7fb9e906, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x73b1ffd8, "device_match_name" },
	{ 0x2ad0d44, "register_mt_adistance_algorithm" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0x90b64f1, "pci_walk_bus" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xaa42da56, "node_set_perf_attrs" },
	{ 0x8b72fb27, "__devm_add_action" },
	{ 0x90e8187, "pci_find_dvsec_capability" },
	{ 0x930941eb, "device_find_child_by_name" },
	{ 0x5eb14fef, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe4562d91, "pci_write_config_word" },
	{ 0xce693ee4, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8cde4cc9, "pcie_bandwidth_available" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x3d8ae1d7, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7f0fb6df, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x543be5c, "pci_bus_type" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x123627f, "bus_register" },
	{ 0x356a5de5, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x84848337, "pcie_capability_read_word" },
	{ 0xced92fe7, "mt_perf_to_adistance" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcb04ae64, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x67c63120, "dev_set_name" },
	{ 0x97eb2b60, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x24f8077, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xca6f9f3b, "cdev_device_del" },
	{ 0x6d958fa3, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0xcfd1b812, "device_unregister" },
	{ 0x72f1efb4, "__trace_trigger_soft_disabled" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcda325ce, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf1bbdcbb, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x5fc8529d, "device_initialize" },
	{ 0xa9e4fb14, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfbd0f31, "pcpu_hot" },
	{ 0xd1863fc9, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x25c8b734, "bpf_trace_run2" },
	{ 0xaab33bc6, "phys_to_target_node" },
	{ 0xae8ac792, "hmat_update_target_coordinates" },
	{ 0xe6ed993e, "devm_remove_action" },
	{ 0x9856fd7b, "acpi_node_backed_by_real_pxm" },
	{ 0x30422881, "get_device" },
	{ 0xb8f0e484, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x321d000d, "platform_bus" },
	{ 0x1e41bf28, "dev_driver_string" },
	{ 0xbe04146f, "trace_event_buffer_commit" },
	{ 0x97ef2367, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8243d0c6, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0xa0f17af4, "cdev_device_add" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0xc0cbad03, "put_device" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xef3fcd34, "bus_for_each_dev" },
	{ 0x29cc4e8f, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x5dc2485b, "compat_ptr_ioctl" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x60991ad, "unregister_mt_adistance_algorithm" },
	{ 0x73b56def, "perf_trace_run_bpf_submit" },
	{ 0x3f916867, "sysfs_update_group" },
	{ 0xf64226ef, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x3ab1caa3, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x48abf03b, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xa640530a, "debugfs_create_bool" },
	{ 0x85bf4986, "bus_find_device" },
	{ 0x4102d826, "device_add" },
	{ 0xa533f59, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x881d43ff, "noop_llseek" },
	{ 0xac233e34, "bpf_trace_run5" },
	{ 0x2d54a58b, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6d2ca5f, "kernfs_find_and_get_ns" },
	{ 0x172ae672, "debugfs_remove" },
	{ 0x38bae4b8, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x1439dff, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x25e15af1, "driver_unregister" },
	{ 0x305d9852, "pcie_link_speed_mbps" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbccf8fbb, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x81ba5cef, "devm_release_action" },
	{ 0x7848fec2, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb61d6fc2, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0x2a24af8, "pci_print_aer" },
	{ 0xcfe818c2, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x50b625e9, "device_for_each_child_reverse_from" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xee93ba41, "bpf_trace_run3" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6EE825A824D6BF0E2EFC6CB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
