#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iio_dmaengine_buffer_free, "_gpl", "IIO_DMAENGINE_BUFFER");
KSYMTAB_FUNC(iio_dmaengine_buffer_setup_ext, "_gpl", "IIO_DMAENGINE_BUFFER");
KSYMTAB_FUNC(devm_iio_dmaengine_buffer_setup_ext, "_gpl", "IIO_DMAENGINE_BUFFER");

SYMBOL_CRC(iio_dmaengine_buffer_free, 0x2af3481e, "_gpl");
SYMBOL_CRC(iio_dmaengine_buffer_setup_ext, 0xab63b8a3, "_gpl");
SYMBOL_CRC(devm_iio_dmaengine_buffer_setup_ext, 0xd107b5db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1f07fe74, "iio_buffer_put" },
	{ 0x59737c3e, "iio_dma_buffer_release" },
	{ 0x37a0cba, "kfree" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xef17ee2c, "iio_dma_buffer_block_done" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9d216c7, "iio_dma_buffer_block_list_abort" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0x591e28ed, "dma_request_chan" },
	{ 0x878001cf, "dma_get_slave_caps" },
	{ 0x9c408249, "iio_dma_buffer_init" },
	{ 0x90b09a39, "iio_device_attach_buffer" },
	{ 0x8b72fb27, "__devm_add_action" },
	{ 0xa4e214a, "iio_dma_buffer_read" },
	{ 0x50945b19, "iio_dma_buffer_usage" },
	{ 0xa5d64ada, "iio_dma_buffer_write" },
	{ 0x7992513d, "iio_dma_buffer_request_update" },
	{ 0xbaf0d61, "iio_dma_buffer_set_bytes_per_datum" },
	{ 0x446b9c4c, "iio_dma_buffer_set_length" },
	{ 0xb8fa0a27, "iio_dma_buffer_enable" },
	{ 0x5b040a76, "iio_dma_buffer_disable" },
	{ 0xbeb72367, "iio_dma_buffer_attach_dmabuf" },
	{ 0xd51cd03, "iio_dma_buffer_detach_dmabuf" },
	{ 0xbdef4ab7, "iio_dma_buffer_enqueue_dmabuf" },
	{ 0x822e1a84, "iio_dma_buffer_lock_queue" },
	{ 0xd19f7769, "iio_dma_buffer_unlock_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x373e3b6e, "iio_dma_buffer_exit" },
	{ 0x49990d9d, "dma_release_channel" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-buffer-dma");


MODULE_INFO(srcversion, "E2D5B553B5B6FCFE229A861");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
