#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0xb5c293bd, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0x9d0b70aa, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0x59ce8c0e, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0xbfd7ba41, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc813900a, "__pm_runtime_use_autosuspend" },
	{ 0xd2555fc1, "__pm_runtime_suspend" },
	{ 0xc3abf0f7, "__pm_runtime_set_status" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9bdfd8b7, "iio_trigger_unregister" },
	{ 0x43bcc4af, "iio_trigger_free" },
	{ 0xef5b24c7, "iio_triggered_buffer_cleanup" },
	{ 0x69b3ad8e, "__pm_runtime_disable" },
	{ 0x5e0d40b3, "sensor_hub_device_close" },
	{ 0x8a35e7b5, "hid_sensor_get_usage_index" },
	{ 0x588967fe, "sensor_hub_get_feature" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xadae8c3, "sensor_hub_set_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x19b2cbf2, "sensor_hub_device_open" },
	{ 0xfff98f25, "hid_sensor_read_poll_value" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe4cdaf23, "hid_sensor_set_report_latency" },
	{ 0x678d3146, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0xdd702ac5, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x2f4e1868, "iio_triggered_buffer_setup_ext" },
	{ 0xa45babd7, "iio_device_id" },
	{ 0x5de5e715, "__iio_trigger_alloc" },
	{ 0x849d0f14, "iio_trigger_register" },
	{ 0x30422881, "get_device" },
	{ 0xe51eecdb, "__module_get" },
	{ 0x1104f5ba, "pm_runtime_set_autosuspend_delay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x48abf03b, "_dev_err" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb6019912, "pm_runtime_enable" },
	{ 0xa352bc61, "__pm_runtime_resume" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-hub,hid-sensor-iio-common");


MODULE_INFO(srcversion, "E6C5AD7E4C6A1C7582A12C4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
