#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(__tracepoint_bcache_request_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_request_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_request_start, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_request_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_request_end, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_request_end, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_request_end, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_request_end, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_bypass_sequential, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_bypass_sequential, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_bypass_sequential, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_bypass_sequential, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_bypass_congested, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_bypass_congested, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_bypass_congested, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_bypass_congested, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_read_retry, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_read_retry, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_read_retry, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_read_retry, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_cache_insert, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_cache_insert, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_cache_insert, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_cache_insert, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_journal_replay_key, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_journal_replay_key, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_journal_replay_key, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_journal_replay_key, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_journal_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_journal_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_journal_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_journal_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_journal_full, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_journal_full, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_journal_full, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_journal_full, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_journal_entry_full, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_journal_entry_full, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_journal_entry_full, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_journal_entry_full, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_cache_cannibalize, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_cache_cannibalize, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_cache_cannibalize, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_cache_cannibalize, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_node_alloc, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_node_alloc, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_node_alloc, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_node_alloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_node_alloc_fail, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_node_alloc_fail, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_node_alloc_fail, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_node_alloc_fail, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_node_free, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_node_free, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_node_free, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_node_free, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_gc_coalesce, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_gc_coalesce, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_gc_coalesce, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_gc_coalesce, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_gc_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_gc_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_gc_start, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_gc_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_gc_end, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_gc_end, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_gc_end, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_gc_end, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_gc_copy, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_gc_copy, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_gc_copy, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_gc_copy, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_gc_copy_collision, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_gc_copy_collision, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_gc_copy_collision, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_gc_copy_collision, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_insert_key, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_insert_key, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_insert_key, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_insert_key, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_node_split, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_node_split, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_node_split, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_node_split, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_node_compact, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_node_compact, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_node_compact, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_node_compact, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_set_root, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_set_root, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_set_root, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_set_root, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_invalidate, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_invalidate, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_invalidate, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_invalidate, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_alloc_fail, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_alloc_fail, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_alloc_fail, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_alloc_fail, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_writeback, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_writeback, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_writeback, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_writeback, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_writeback_collision, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_writeback_collision, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_writeback_collision, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_writeback_collision, "_gpl", "");

SYMBOL_CRC(__tracepoint_bcache_request_start, 0x81ce99db, "_gpl");
SYMBOL_CRC(__traceiter_bcache_request_start, 0xe67f733a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_request_start, 0x2f36decc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_request_start, 0xd7a7fbec, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_request_end, 0x1cd0f366, "_gpl");
SYMBOL_CRC(__traceiter_bcache_request_end, 0x5b28b515, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_request_end, 0xe844831f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_request_end, 0xfce76b1e, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_bypass_sequential, 0xf2b08442, "_gpl");
SYMBOL_CRC(__traceiter_bcache_bypass_sequential, 0x2301e9f8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_bypass_sequential, 0xa7a0957b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_bypass_sequential, 0xf57f81ae, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_bypass_congested, 0xa9c38aea, "_gpl");
SYMBOL_CRC(__traceiter_bcache_bypass_congested, 0xd5107091, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_bypass_congested, 0xbcf49c5d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_bypass_congested, 0x7f252e00, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_read, 0x223f5085, "_gpl");
SYMBOL_CRC(__traceiter_bcache_read, 0x65c54e3f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_read, 0xdbf7499c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_read, 0xedf90bb3, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_write, 0xa20d6d44, "_gpl");
SYMBOL_CRC(__traceiter_bcache_write, 0xb607bf2a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_write, 0xc69f0d9d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_write, 0x5dd80bd5, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_read_retry, 0x2f8e0ccd, "_gpl");
SYMBOL_CRC(__traceiter_bcache_read_retry, 0xcd51dc9c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_read_retry, 0x6f4b24db, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_read_retry, 0x787810b2, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_cache_insert, 0x9ad71407, "_gpl");
SYMBOL_CRC(__traceiter_bcache_cache_insert, 0xb5a62a8c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_cache_insert, 0xb3fa49ef, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_cache_insert, 0x752f7fa4, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_replay_key, 0x68b97bc6, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_replay_key, 0x2766fb04, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_replay_key, 0x37e9e3df, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_journal_replay_key, 0xb7e5379d, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_write, 0x97fe883e, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_write, 0xe39a331d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_write, 0x3906cf29, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_journal_write, 0x287090dc, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_full, 0x610aaf2b, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_full, 0xf55e7366, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_full, 0x4827f2c3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_journal_full, 0xdb0682eb, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_entry_full, 0x821e302e, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_entry_full, 0xe60f804a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_entry_full, 0xdd4ea837, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_journal_entry_full, 0xf7a5edc7, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_cache_cannibalize, 0xcb2cd93f, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_cache_cannibalize, 0x3a97f2f1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_cache_cannibalize, 0x8fb78aac, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_cache_cannibalize, 0x822db771, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_read, 0x7cbbba53, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_read, 0x9fef4abd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_read, 0x3c7e9245, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_read, 0xce451ad8, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_write, 0xcde39e4f, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_write, 0xfbc2dda0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_write, 0x3977ee36, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_write, 0x629c9180, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_alloc, 0x014b2a8f, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_alloc, 0xc260de47, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_alloc, 0x147c3c38, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_node_alloc, 0x21b87a42, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_alloc_fail, 0x85739537, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_alloc_fail, 0x1d7ad09b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_alloc_fail, 0x44775c71, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_node_alloc_fail, 0x297e0da3, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_free, 0x873cc6d4, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_free, 0x1e2e3145, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_free, 0x6a073889, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_node_free, 0x817ad796, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_gc_coalesce, 0xffccd0a6, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_gc_coalesce, 0x1c599ebe, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_gc_coalesce, 0xaadcc19f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_gc_coalesce, 0xa15bd7c4, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_start, 0xb537e781, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_start, 0xd64be46e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_start, 0x4c937095, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_gc_start, 0x6677ebf0, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_end, 0x69af126d, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_end, 0x01cf80a5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_end, 0x96c4ea7d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_gc_end, 0xd7a376b3, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_copy, 0x9dac02c6, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_copy, 0xad6440b4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_copy, 0x80e4795a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_gc_copy, 0x36f317a4, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_copy_collision, 0x809e8987, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_copy_collision, 0xec29e22a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_copy_collision, 0xd58e98be, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_gc_copy_collision, 0xd30206ff, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_insert_key, 0x348e351c, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_insert_key, 0x4e74f8dd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_insert_key, 0x21b923ab, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_insert_key, 0x972aa384, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_split, 0xeb4b0bb8, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_split, 0xdca8dde8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_split, 0xfe7c1d0f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_node_split, 0x9d28d153, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_compact, 0xd4b0f7d8, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_compact, 0x4edf10e4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_compact, 0x8be06fc1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_node_compact, 0xa784e073, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_set_root, 0x30b7756f, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_set_root, 0xf6f1add9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_set_root, 0xb3ca08ef, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_set_root, 0x25cacb14, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_invalidate, 0x923f770c, "_gpl");
SYMBOL_CRC(__traceiter_bcache_invalidate, 0x637458bd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_invalidate, 0xd2fa5f1a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_invalidate, 0xc73e0c99, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_alloc_fail, 0x9bfad0fa, "_gpl");
SYMBOL_CRC(__traceiter_bcache_alloc_fail, 0x9e73b5b8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_alloc_fail, 0xdb3ff8ec, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_alloc_fail, 0x300c8ff4, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_writeback, 0xae14881e, "_gpl");
SYMBOL_CRC(__traceiter_bcache_writeback, 0x17a83e40, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_writeback, 0xb437f8f4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_writeback, 0xfb767f16, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_writeback_collision, 0xa3bbbe36, "_gpl");
SYMBOL_CRC(__traceiter_bcache_writeback_collision, 0x64e39418, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_writeback_collision, 0xc78f466e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_writeback_collision, 0x4543b49b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x73b56def, "perf_trace_run_bpf_submit" },
	{ 0xe2ba8690, "__bio_advance" },
	{ 0x73a62b1f, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xd1c13ed2, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xa533f59, "sysfs_remove_link" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x44dbff8, "set_capacity" },
	{ 0xeabf06ff, "submit_bio_noacct" },
	{ 0xd9a162ba, "closure_put" },
	{ 0x6626afca, "down" },
	{ 0xac233e34, "bpf_trace_run5" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x172ae672, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x1439dff, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0x7536a034, "zero_fill_bio_iter" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x984e8d51, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbdc9a01, "__put_devmap_managed_folio_refs" },
	{ 0xf6da1e2, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x46c834d6, "bdev_file_open_by_dev" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x62b3cdf9, "read_cache_page_gfp" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8a305d9e, "bpf_trace_run1" },
	{ 0xe3c17af1, "__closure_wake_up" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xfa1ce12c, "bd_unlink_disk_holder" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x61bc9353, "bio_init" },
	{ 0x2de411d7, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa384a8c, "closure_sub" },
	{ 0x174c4443, "bio_reset" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xb0a1de1f, "__kmem_cache_create_args" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x6f262eb6, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x329eb9a6, "bio_free_pages" },
	{ 0xee37d17c, "kthread_create_on_node" },
	{ 0xee93ba41, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa80e4eb0, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x72ee6bb1, "kobject_del" },
	{ 0x5d50acd3, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8cc118e8, "bioset_init" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x92a7cf24, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0xcc98b51b, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe7984cd3, "bd_link_disk_holder" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x3d5f044c, "alloc_pages_noprof" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xc4ed5b21, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0xc29bf967, "strspn" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xce693ee4, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xfce541c2, "bio_alloc_bioset" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x930e154f, "kobject_get" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x2d0c78b4, "kmem_cache_destroy" },
	{ 0x655daadf, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x543b2c3c, "blkdev_issue_discard" },
	{ 0x327d8d22, "kobject_put" },
	{ 0x61b7b126, "simple_strtoull" },
	{ 0x9cb654b0, "bio_associate_blkg" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x63ca3600, "set_disk_ro" },
	{ 0x91833e0b, "__blk_alloc_disk" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x5773a673, "bdev_file_open_by_path" },
	{ 0x1d7735d, "shrinker_alloc" },
	{ 0x5b00129, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xe662d3a5, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcb04ae64, "bpf_trace_run4" },
	{ 0x83c2bbf3, "param_ops_uint" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd7e56a4e, "simple_strtoll" },
	{ 0x9198424b, "bio_copy_data" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xf8d64bba, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0x1885a11c, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x24f8077, "trace_raw_output_prep" },
	{ 0x9284b868, "bio_init_clone" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xca9360b5, "rb_next" },
	{ 0x2bd8a8bb, "blk_fill_rwbs" },
	{ 0x72f1efb4, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcda325ce, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xcf2a6966, "up" },
	{ 0x9016047c, "closure_wait" },
	{ 0x7c3d9e0d, "kobject_init" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xa9e4fb14, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xfbd0f31, "pcpu_hot" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x25c8b734, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xeaf3cb23, "crc64_be" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe51eecdb, "__module_get" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x30e8e3ee, "__closure_sync" },
	{ 0xec4f63a0, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe7a34093, "wake_up_process" },
	{ 0x8a0b0271, "shrinker_free" },
	{ 0xbe04146f, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xa739038e, "bio_clone_blkg_association" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x52f4a5b1, "put_disk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x85099f5, "fs_kobj" },
	{ 0xa916b694, "strnlen" },
	{ 0x1ad526ca, "shrinker_register" },
	{ 0xea5223b5, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8d66e1f8, "__free_pages" },
	{ 0x9062594, "submit_bio" },
	{ 0x4a65371f, "module_put" },
	{ 0x1f3616f1, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x29cc4e8f, "sysfs_create_link" },
	{ 0xdfd2be68, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xd6025e5c, "kobject_uevent_env" },
	{ 0xdbfb467a, "bio_put" },
	{ 0x5078136a, "bio_endio" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3C63AA00CF54207F7122524");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
