#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nanddev_isbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_markbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_isreserved, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_erase, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_max_bad_blocks, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_update, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_get_block_status, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_set_block_status, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_prepare_io_req, "", "");
KSYMTAB_FUNC(nand_ecc_finish_io_req, "", "");
KSYMTAB_FUNC(nand_get_small_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_hamming_ooblayout, "_gpl", "");
KSYMTAB_FUNC(of_get_nand_ecc_user_config, "", "");
KSYMTAB_FUNC(nand_ecc_is_strong_enough, "", "");
KSYMTAB_FUNC(nand_ecc_init_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_cleanup_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_tweak_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_restore_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_get_sw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_die_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_register_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_unregister_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_put_on_host_hw_engine, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_get_engine, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_get_engine, "", "");

SYMBOL_CRC(nanddev_isbad, 0x0c7fe834, "_gpl");
SYMBOL_CRC(nanddev_markbad, 0xb8d8ee2b, "_gpl");
SYMBOL_CRC(nanddev_isreserved, 0x1d09bd88, "_gpl");
SYMBOL_CRC(nanddev_mtd_erase, 0x4737a509, "_gpl");
SYMBOL_CRC(nanddev_mtd_max_bad_blocks, 0xcbb91cd2, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_init, 0x6bb473dd, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_cleanup, 0x661b225e, "_gpl");
SYMBOL_CRC(nanddev_init, 0x494eedf0, "_gpl");
SYMBOL_CRC(nanddev_cleanup, 0x3c7cd1a0, "_gpl");
SYMBOL_CRC(nanddev_bbt_init, 0x88768c70, "_gpl");
SYMBOL_CRC(nanddev_bbt_cleanup, 0x85d4d589, "_gpl");
SYMBOL_CRC(nanddev_bbt_update, 0x3c55c90a, "_gpl");
SYMBOL_CRC(nanddev_bbt_get_block_status, 0xda1134ad, "_gpl");
SYMBOL_CRC(nanddev_bbt_set_block_status, 0xfbe39650, "_gpl");
SYMBOL_CRC(nand_ecc_init_ctx, 0xf3f0633a, "");
SYMBOL_CRC(nand_ecc_cleanup_ctx, 0xf1e748b2, "");
SYMBOL_CRC(nand_ecc_prepare_io_req, 0x7d092c1a, "");
SYMBOL_CRC(nand_ecc_finish_io_req, 0xa364a585, "");
SYMBOL_CRC(nand_get_small_page_ooblayout, 0xe2099814, "_gpl");
SYMBOL_CRC(nand_get_large_page_ooblayout, 0x3ca012c9, "_gpl");
SYMBOL_CRC(nand_get_large_page_hamming_ooblayout, 0xf068db4b, "_gpl");
SYMBOL_CRC(of_get_nand_ecc_user_config, 0x2517bf04, "");
SYMBOL_CRC(nand_ecc_is_strong_enough, 0x6464c69c, "");
SYMBOL_CRC(nand_ecc_init_req_tweaking, 0xb6883524, "_gpl");
SYMBOL_CRC(nand_ecc_cleanup_req_tweaking, 0x704b0d72, "_gpl");
SYMBOL_CRC(nand_ecc_tweak_req, 0x6907d2f8, "_gpl");
SYMBOL_CRC(nand_ecc_restore_req, 0x464949b1, "_gpl");
SYMBOL_CRC(nand_ecc_get_sw_engine, 0x9a6a0d17, "");
SYMBOL_CRC(nand_ecc_get_on_die_hw_engine, 0x916e0b36, "");
SYMBOL_CRC(nand_ecc_register_on_host_hw_engine, 0xadf2227f, "");
SYMBOL_CRC(nand_ecc_unregister_on_host_hw_engine, 0x34b28e27, "");
SYMBOL_CRC(nand_ecc_get_on_host_hw_engine, 0x0694d52e, "");
SYMBOL_CRC(nand_ecc_put_on_host_hw_engine, 0x2fba8666, "");
SYMBOL_CRC(ecc_sw_hamming_calculate, 0xff4351b0, "");
SYMBOL_CRC(nand_ecc_sw_hamming_calculate, 0x39af3f04, "");
SYMBOL_CRC(ecc_sw_hamming_correct, 0xe6db989b, "");
SYMBOL_CRC(nand_ecc_sw_hamming_correct, 0xed1d9ea5, "");
SYMBOL_CRC(nand_ecc_sw_hamming_init_ctx, 0x1999110e, "");
SYMBOL_CRC(nand_ecc_sw_hamming_cleanup_ctx, 0x5685a667, "");
SYMBOL_CRC(nand_ecc_sw_hamming_get_engine, 0xeb83660b, "");
SYMBOL_CRC(nand_ecc_sw_bch_calculate, 0xe6675239, "");
SYMBOL_CRC(nand_ecc_sw_bch_correct, 0x29f4def0, "");
SYMBOL_CRC(nand_ecc_sw_bch_init_ctx, 0xaeba9a47, "");
SYMBOL_CRC(nand_ecc_sw_bch_cleanup_ctx, 0x27bb3a2d, "");
SYMBOL_CRC(nand_ecc_sw_bch_get_engine, 0x2aea0d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1bab47c7, "mtd_ooblayout_set_eccbytes" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc0cbad03, "put_device" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd3e3481, "bch_free" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf58397d7, "mtd_ooblayout_count_eccbytes" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0x860a2eab, "bch_decode" },
	{ 0x1a267fa8, "bch_init" },
	{ 0x1951e0e5, "mtd_ooblayout_get_eccbytes" },
	{ 0xc303f52, "bch_encode" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "mtd,bch");


MODULE_INFO(srcversion, "C8CC18D47CCA8CBC7F50A06");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
