#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(b53_imp_vlan_setup, "", "");
KSYMTAB_FUNC(b53_enable_port, "", "");
KSYMTAB_FUNC(b53_disable_port, "", "");
KSYMTAB_FUNC(b53_brcm_hdr_setup, "", "");
KSYMTAB_FUNC(b53_configure_vlan, "", "");
KSYMTAB_FUNC(b53_get_strings, "", "");
KSYMTAB_FUNC(b53_get_ethtool_stats, "", "");
KSYMTAB_FUNC(b53_get_ethtool_phy_stats, "", "");
KSYMTAB_FUNC(b53_get_sset_count, "", "");
KSYMTAB_FUNC(b53_setup_devlink_resources, "", "");
KSYMTAB_FUNC(b53_port_event, "", "");
KSYMTAB_FUNC(b53_vlan_filtering, "", "");
KSYMTAB_FUNC(b53_vlan_add, "", "");
KSYMTAB_FUNC(b53_vlan_del, "", "");
KSYMTAB_FUNC(b53_fdb_add, "", "");
KSYMTAB_FUNC(b53_fdb_del, "", "");
KSYMTAB_FUNC(b53_fdb_dump, "", "");
KSYMTAB_FUNC(b53_mdb_add, "", "");
KSYMTAB_FUNC(b53_mdb_del, "", "");
KSYMTAB_FUNC(b53_br_join, "", "");
KSYMTAB_FUNC(b53_br_leave, "", "");
KSYMTAB_FUNC(b53_br_set_stp_state, "", "");
KSYMTAB_FUNC(b53_br_fast_age, "", "");
KSYMTAB_FUNC(b53_br_flags_pre, "", "");
KSYMTAB_FUNC(b53_br_flags, "", "");
KSYMTAB_FUNC(b53_get_tag_protocol, "", "");
KSYMTAB_FUNC(b53_mirror_add, "", "");
KSYMTAB_FUNC(b53_mirror_del, "", "");
KSYMTAB_FUNC(b53_eee_init, "", "");
KSYMTAB_FUNC(b53_get_mac_eee, "", "");
KSYMTAB_FUNC(b53_set_mac_eee, "", "");
KSYMTAB_FUNC(b53_switch_alloc, "", "");
KSYMTAB_FUNC(b53_switch_detect, "", "");
KSYMTAB_FUNC(b53_switch_register, "", "");

SYMBOL_CRC(b53_imp_vlan_setup, 0x97df4d5c, "");
SYMBOL_CRC(b53_enable_port, 0x47d73abd, "");
SYMBOL_CRC(b53_disable_port, 0x752b3ae2, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0x1d3e448d, "");
SYMBOL_CRC(b53_configure_vlan, 0x61fbb0e7, "");
SYMBOL_CRC(b53_get_strings, 0x8fc71d55, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0x6f5c142e, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0xc30607f8, "");
SYMBOL_CRC(b53_get_sset_count, 0x8607519d, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0x04a07fe2, "");
SYMBOL_CRC(b53_port_event, 0x5ad38993, "");
SYMBOL_CRC(b53_vlan_filtering, 0x019b1d5e, "");
SYMBOL_CRC(b53_vlan_add, 0xf7b75b01, "");
SYMBOL_CRC(b53_vlan_del, 0xd7acc127, "");
SYMBOL_CRC(b53_fdb_add, 0x1665290c, "");
SYMBOL_CRC(b53_fdb_del, 0xbfc31cb5, "");
SYMBOL_CRC(b53_fdb_dump, 0x5cc1f3a0, "");
SYMBOL_CRC(b53_mdb_add, 0xab49b7b1, "");
SYMBOL_CRC(b53_mdb_del, 0x031dea69, "");
SYMBOL_CRC(b53_br_join, 0x7a81b292, "");
SYMBOL_CRC(b53_br_leave, 0x673a87d4, "");
SYMBOL_CRC(b53_br_set_stp_state, 0xa7629638, "");
SYMBOL_CRC(b53_br_fast_age, 0x7abc3bd9, "");
SYMBOL_CRC(b53_br_flags_pre, 0x50ebba27, "");
SYMBOL_CRC(b53_br_flags, 0x95648781, "");
SYMBOL_CRC(b53_get_tag_protocol, 0xce23af25, "");
SYMBOL_CRC(b53_mirror_add, 0x8bca46bd, "");
SYMBOL_CRC(b53_mirror_del, 0xb688f0e3, "");
SYMBOL_CRC(b53_eee_init, 0x0ac9e8fe, "");
SYMBOL_CRC(b53_get_mac_eee, 0x2294882c, "");
SYMBOL_CRC(b53_set_mac_eee, 0xfe69c6da, "");
SYMBOL_CRC(b53_switch_alloc, 0x5dc9fc27, "");
SYMBOL_CRC(b53_switch_detect, 0xaafbbe6d, "");
SYMBOL_CRC(b53_switch_register, 0x46e02b37, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2cd35131, "dsa_devlink_resources_unregister" },
	{ 0xb68d5f25, "dsa_devlink_resource_register" },
	{ 0x54915b, "dsa_devlink_resource_occ_get_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcfe818c2, "_dev_warn" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x49a9b9a0, "mdiobus_get_phy" },
	{ 0x29db9364, "phy_ethtool_get_stats" },
	{ 0x9c703441, "phy_ethtool_get_sset_count" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbb652c34, "phy_ethtool_get_strings" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2b28d1f2, "dsa_port_phylink_mac_change" },
	{ 0x30fdc525, "phy_init_eee" },
	{ 0x48abf03b, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb8f0e484, "__dynamic_dev_dbg" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8b8061e2, "_dev_info" },
	{ 0xa01cbc7, "dsa_register_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0x2183db7f, "gpio_to_desc" },
	{ 0x63b8d3fc, "gpiod_set_raw_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "dsa_core,libphy");


MODULE_INFO(srcversion, "770E2540C61C5E8374D7943");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
