#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x003fec3b, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x44031d15, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xd7cb6515, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x52cde7dc, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x56d82e30, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e9c4297, "eth_header_parse" },
	{ 0xe04cc373, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5d1d8e07, "eth_header_cache_update" },
	{ 0x4460e16b, "nf_register_net_hooks" },
	{ 0xc8d146a3, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xf9bd7185, "ip_route_input_noref" },
	{ 0x275f64ef, "__dev_get_by_index" },
	{ 0x2171bf13, "rtnl_link_unregister" },
	{ 0xc733fb2a, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf1f86efa, "sk_skb_reason_drop" },
	{ 0x4cb3bc12, "netif_stacked_transfer_operstate" },
	{ 0x9c484775, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc4f96ab0, "ns_capable" },
	{ 0xed1c2d4, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x97f55a63, "ethtool_op_get_link" },
	{ 0xd679ef8f, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x75c5b278, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x58d984fa, "__pskb_pull_tail" },
	{ 0xf6e7c51, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x1dd0a68a, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xe392345e, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa02769e0, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xec1ca454, "call_netdevice_notifiers" },
	{ 0x706cd274, "vlan_vid_del" },
	{ 0xa131dfe7, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x751d192a, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5954d8b, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x8daa67a0, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xde471bd4, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x944bc116, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x7c65b483, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xea589db1, "dev_change_flags" },
	{ 0xa681f505, "netdev_core_stats_inc" },
	{ 0x601e9156, "dev_forward_skb" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5e98dee, "register_netdevice" },
	{ 0x97bc2c8f, "__do_once_done" },
	{ 0xd64c03fc, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xd3f43178, "dev_pre_changeaddr_notify" },
	{ 0xfc7ee55a, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x816b9390, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc6e4694e, "netdev_update_features" },
	{ 0xfedd5ec1, "consume_skb" },
	{ 0x89dfecb8, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8601c74, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc33d8fb4, "rtnl_link_register" },
	{ 0xa10fa86b, "netif_inherit_tso_max" },
	{ 0xc9fe3125, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xfbd0f31, "pcpu_hot" },
	{ 0xe106c7b4, "ip_route_output_flow" },
	{ 0xd11b5e20, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb303c309, "dev_uc_unsync" },
	{ 0x636df9e8, "ether_setup" },
	{ 0x8f3719be, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x48b6a5f2, "netdev_upper_dev_link" },
	{ 0xd9027530, "register_pernet_subsys" },
	{ 0x1715c770, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AED4B93465B3A8F8BE46AB6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
