#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xpcs_get_an_mode, "_gpl", "");
KSYMTAB_FUNC(xpcs_get_interfaces, "_gpl", "");
KSYMTAB_FUNC(xpcs_config_eee, "_gpl", "");
KSYMTAB_FUNC(xpcs_do_config, "_gpl", "");
KSYMTAB_FUNC(xpcs_link_up, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_mdiodev, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_fwnode, "_gpl", "");
KSYMTAB_FUNC(xpcs_destroy, "_gpl", "");

SYMBOL_CRC(xpcs_get_an_mode, 0xf5c15df9, "_gpl");
SYMBOL_CRC(xpcs_get_interfaces, 0x6a34abd3, "_gpl");
SYMBOL_CRC(xpcs_config_eee, 0x05646050, "_gpl");
SYMBOL_CRC(xpcs_do_config, 0x4d6a9daf, "_gpl");
SYMBOL_CRC(xpcs_link_up, 0xc91ab124, "_gpl");
SYMBOL_CRC(xpcs_create_mdiodev, 0x5765f3a0, "_gpl");
SYMBOL_CRC(xpcs_create_fwnode, 0xf4298885, "_gpl");
SYMBOL_CRC(xpcs_destroy, 0x4f85dd2e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x80810a06, "mdiobus_c45_write" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3abf0f7, "__pm_runtime_set_status" },
	{ 0xae5a8f7e, "device_set_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3e660fcb, "device_property_read_u32_array" },
	{ 0xf95e7006, "mdio_device_register" },
	{ 0xef29fcdd, "clk_bulk_put" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x48abf03b, "_dev_err" },
	{ 0xc89a3bf9, "phylink_mii_c45_pcs_get_state" },
	{ 0x8a5d7269, "mdio_device_create" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcfe818c2, "_dev_warn" },
	{ 0x165d74d2, "device_get_match_data" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd8288893, "fwnode_handle_get" },
	{ 0xc0632f95, "phylink_mii_c22_pcs_encode_advertisement" },
	{ 0x22d3ceae, "devm_mdiobus_alloc_size" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdeae6c97, "__platform_driver_register" },
	{ 0x8f7c0978, "fwnode_device_is_available" },
	{ 0xa352bc61, "__pm_runtime_resume" },
	{ 0x6e5e3aad, "devm_ioremap_resource" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc68886be, "clk_bulk_get_optional" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x8264c293, "phylink_mii_c22_pcs_decode_state" },
	{ 0xe5f06094, "__devm_mdiobus_register" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0x47153967, "dev_err_probe" },
	{ 0x4f6e0b81, "mdio_device_free" },
	{ 0x815588a6, "clk_enable" },
	{ 0x5bc2476b, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4b23ee35, "__dev_fwnode" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x81a6deeb, "mdiobus_c45_modify_changed" },
	{ 0xd1d8771a, "mdiobus_c45_read" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0x78f99542, "devm_pm_runtime_enable" },
	{ 0xff734222, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0xc8ad4615, "phylink_resolve_c73" },
	{ 0x37a0cba, "kfree" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2666be88, "platform_get_resource_byname" },
	{ 0x30422881, "get_device" },
	{ 0xb3c5bd40, "fwnode_mdio_find_device" },
	{ 0xa9e42b93, "devm_clk_get" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "libphy,phylink,mdio_devres");

MODULE_ALIAS("of:N*T*Csnps,dw-xpcs");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcsC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen1-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen1-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-6g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-6gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-6g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-6gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-10g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-10gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-12g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-12gC*");

MODULE_INFO(srcversion, "AC790F5A8CE6E48436D0D6B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
