#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(smsc_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_config_init, "_gpl", "");
KSYMTAB_FUNC(lan87xx_read_status, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_get_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_set_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_probe, "_gpl", "");

SYMBOL_CRC(smsc_phy_config_intr, 0xe4629326, "_gpl");
SYMBOL_CRC(smsc_phy_handle_interrupt, 0x9df56bc0, "_gpl");
SYMBOL_CRC(smsc_phy_config_init, 0x06a0d6f3, "_gpl");
SYMBOL_CRC(lan87xx_read_status, 0x58ce69cc, "_gpl");
SYMBOL_CRC(smsc_phy_get_tunable, 0x470125d9, "_gpl");
SYMBOL_CRC(smsc_phy_set_tunable, 0x6b18e211, "_gpl");
SYMBOL_CRC(smsc_phy_probe, 0xd6f2dec5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef6e93dc, "genphy_read_status" },
	{ 0x4e503d95, "mdiobus_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xa19a4e35, "device_property_present" },
	{ 0xabf4dc01, "devm_clk_get_optional_enabled" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x47153967, "dev_err_probe" },
	{ 0x772c8da, "phy_drivers_register" },
	{ 0x89cf3013, "phy_read_mmd" },
	{ 0xbd9a8250, "__genphy_config_aneg" },
	{ 0xdd744de4, "phy_modify" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x145518f7, "genphy_soft_reset" },
	{ 0x45defa02, "phy_drivers_unregister" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x273e645d, "phy_write_mmd" },
	{ 0xb8f0e484, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8b8061e2, "_dev_info" },
	{ 0x6e82423e, "genphy_suspend" },
	{ 0x5db92ae5, "genphy_resume" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa44eb09c, "mdiobus_read" },
	{ 0x736312cf, "phy_trigger_machine" },
	{ 0x787cb6bd, "phy_error" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000000000111110000001010????");
MODULE_ALIAS("mdio:0000000000000111110000001011????");
MODULE_ALIAS("mdio:0000000000000111110000001100????");
MODULE_ALIAS("mdio:0000000000000111110000001101????");
MODULE_ALIAS("mdio:0000000000000111110000001111????");
MODULE_ALIAS("mdio:0000000000000111110000010001????");
MODULE_ALIAS("mdio:0000000000000111110000010011??0?");

MODULE_INFO(srcversion, "66F96A3A218F829563119ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
