#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0x786b11ff, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0x158b44aa, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0x9785169e, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0x53bf69d3, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0x0051739b, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0xf6e333e6, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0x2f471d9b, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0x1d6aecb4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x924905eb, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x916dd4f9, "mt76_csa_check" },
	{ 0x48a4cd26, "mt76_tx_status_skb_add" },
	{ 0xea82d349, "hrtimer_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdeca90d, "mt76u_single_wr" },
	{ 0x8013c68b, "__mt76_tx_complete_skb" },
	{ 0x1e1eebb5, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8f1fc521, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xb8f0e484, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xec55aa2a, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf3e4cfef, "mt76_csa_finish" },
	{ 0x19562170, "__alloc_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x48abf03b, "_dev_err" },
	{ 0xc733fb2a, "skb_pull" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x582a4714, "skb_push" },
	{ 0xa8293bd2, "mt76x02_init_beacon_config" },
	{ 0x38113ec0, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa1ecc3ac, "mt76x02_mac_write_txwi" },
	{ 0xc0b7c197, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4c812760, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x757ba05c, "mt76u_vendor_request" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x37e9626e, "mt76_skb_adjust_pad" },
	{ 0x102fe6de, "hrtimer_cancel" },
	{ 0x6454fcb6, "mt76x02_mac_set_beacon" },
	{ 0xcb2e80c6, "hrtimer_active" },
	{ 0x141b9102, "__mt76_poll" },
	{ 0x291a65c2, "mt76x02_update_beacon_iter" },
	{ 0x37891bf6, "mt76x02_enqueue_buffered_bc" },
	{ 0x6c99691b, "mt76x02_remove_hdr_pad" },
	{ 0x113545cc, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfedd5ec1, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7aa8962c, "mt76x02_resync_beacon_timer" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76-usb,cfg80211,usbcore,mac80211");


MODULE_INFO(srcversion, "8FD2116E358BBB7BAB020B1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
