#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x7a3b250c, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x62f13faf, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x41dc556e, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x96c9981c, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x01a6b12f, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x06915cd6, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0xe1ffe55f, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0xed63b953, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0xb8957119, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x23089dcf, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x4081946c, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x67703bc6, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x03220064, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0xf4c78f45, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x01218cf4, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0xb825f6a5, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0xe013245a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x26cb38ad, "iscsi_dbg_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2956ee32, "_dev_printk" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfbd0f31, "pcpu_hot" },
	{ 0xea5223b5, "const_pcpu_hot" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x8a8247ea, "crypto_ahash_digest" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x43376f2d, "crypto_ahash_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9c33cd7e, "iscsi_prep_data_out_pdu" },
	{ 0xb0e624ec, "iscsi_put_task" },
	{ 0x5f119118, "iscsi_conn_failure" },
	{ 0xf63d8f73, "iscsi_conn_setup" },
	{ 0xfdfcded1, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xcc238fb, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x84931f7a, "crypto_ahash_update" },
	{ 0xce1315a1, "crypto_ahash_final" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf307cd78, "skb_prepare_seq_read" },
	{ 0x5965ac95, "skb_seq_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0xba64e6e5, "skb_abort_seq_read" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x85e48bc, "iscsi_complete_pdu" },
	{ 0xfe20f2f9, "iscsi_verify_itt" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x90d8df8d, "iscsi_itt_to_ctask" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9c55b06c, "iscsi_get_task" },
	{ 0x2806c153, "iscsi_update_cmdsn" },
	{ 0x3c342506, "__iscsi_complete_pdu" },
	{ 0xe594fa18, "iscsi_requeue_task" },
	{ 0xddffd585, "param_ops_int" },
	{ 0x1d276009, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
