#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0x87ab724c, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0xf428c8ab, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0x787db705, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc99e3f54, "devm_reset_control_array_get" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3abf0f7, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb6019912, "pm_runtime_enable" },
	{ 0x3e660fcb, "device_property_read_u32_array" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x541702e2, "xhci_resume" },
	{ 0x8ff39616, "xhci_run" },
	{ 0xb02e1631, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5213f638, "xhci_init_driver" },
	{ 0xde35f642, "usb_put_hcd" },
	{ 0xdeae6c97, "__platform_driver_register" },
	{ 0xbc98d103, "dma_set_coherent_mask" },
	{ 0xe60c1fa0, "devm_clk_get_optional" },
	{ 0x3ae01f3a, "pm_runtime_forbid" },
	{ 0xa352bc61, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf0d7875d, "__usb_create_hcd" },
	{ 0x560f9a58, "dma_set_mask" },
	{ 0x95e40ed9, "usb_remove_hcd" },
	{ 0x69b3ad8e, "__pm_runtime_disable" },
	{ 0xebe06f9b, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0x543be5c, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa19a4e35, "device_property_present" },
	{ 0x410a568b, "usb_hcd_platform_shutdown" },
	{ 0x6311f64b, "is_acpi_device_node" },
	{ 0x432f569e, "device_set_wakeup_capable" },
	{ 0xd26098a9, "xhci_suspend" },
	{ 0x874b5d06, "devm_platform_get_and_ioremap_resource" },
	{ 0xff734222, "platform_driver_unregister" },
	{ 0xd9b09bd3, "platform_get_irq" },
	{ 0xb58dc7d4, "xhci_gen_setup" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "usbcore,xhci-hcd");

MODULE_ALIAS("acpi*:PNP0D10:*");

MODULE_INFO(srcversion, "615AF29CDDFC685DFB44F9A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
