#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ljca_transfer, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_transfer_noack, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_register_event_cb, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_unregister_event_cb, "_gpl", "LJCA");

SYMBOL_CRC(ljca_transfer, 0x2c6f86f0, "_gpl");
SYMBOL_CRC(ljca_transfer_noack, 0x3904b749, "_gpl");
SYMBOL_CRC(ljca_register_event_cb, 0x6d653e2a, "_gpl");
SYMBOL_CRC(ljca_unregister_event_cb, 0x4df6d109, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5161c235, "usb_autopm_put_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x54214d8, "usb_register_driver" },
	{ 0xa48ffbcc, "usb_submit_urb" },
	{ 0x9924e704, "usb_kill_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x7848fec2, "device_del" },
	{ 0xc0cbad03, "put_device" },
	{ 0x4e009c15, "usb_free_urb" },
	{ 0x90f821f5, "usb_put_intf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb8f0e484, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x48abf03b, "_dev_err" },
	{ 0xd450da8d, "acpi_match_device_ids" },
	{ 0x349cba85, "strchr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa20f768c, "usb_deregister" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0xe7dbea6b, "auxiliary_device_init" },
	{ 0x6311f64b, "is_acpi_device_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbf77b16, "acpi_dev_for_each_child" },
	{ 0x4a268885, "set_primary_fwnode" },
	{ 0x4ff8d2a5, "__auxiliary_device_add" },
	{ 0xcfe818c2, "_dev_warn" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x98d856bb, "usb_get_intf" },
	{ 0x93c7edeb, "usb_find_common_endpoints" },
	{ 0xe75a80d, "usb_alloc_urb" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x1104f5ba, "pm_runtime_set_autosuspend_delay" },
	{ 0x5e602401, "usb_enable_autosuspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa83060a4, "usb_autopm_get_interface" },
	{ 0xec55aa2a, "usb_bulk_msg" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v8086p0B63d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "451E98965F92F186A01E214");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
