#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0x7cebc1cd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x573ce986, "nfs_async_iocounter_wait" },
	{ 0x33ca391c, "nfs_setattr_update_inode" },
	{ 0x5d6a4807, "nfs_sops" },
	{ 0xeffe66c2, "init_user_ns" },
	{ 0xa64efcb7, "rpc_restart_call" },
	{ 0xb5bd167a, "nfs_link" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0x52317804, "dput" },
	{ 0x1ce1598c, "nfs_stat_to_errno" },
	{ 0xc558c7de, "put_nfs_open_context" },
	{ 0x912be6b4, "nfs_permission" },
	{ 0x3d5f044c, "alloc_pages_noprof" },
	{ 0x9d6ef176, "nfs_add_or_obtain" },
	{ 0x462268cf, "from_kuid_munged" },
	{ 0x754d539c, "strlen" },
	{ 0x60088626, "nfs_free_client" },
	{ 0x531967fb, "nfs_close_context" },
	{ 0xb57b6c67, "nfs_refresh_inode" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x139079f0, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0xd9f8848b, "nfs_symlink" },
	{ 0xd30bf9b5, "nfs_unlink" },
	{ 0x50e29b61, "forget_cached_acl" },
	{ 0x78873635, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0x842927e8, "nlmclnt_proc" },
	{ 0xf3f77a75, "nfs_writeback_update_inode" },
	{ 0x3c00a372, "nfs_alloc_client" },
	{ 0x430ab14c, "nfs_dentry_operations" },
	{ 0x2a8c47d, "xdr_write_pages" },
	{ 0x11b5a8f1, "nfs_access_zap_cache" },
	{ 0x4151b23e, "nfs_wb_all" },
	{ 0x452eaf9a, "xdr_inline_decode" },
	{ 0xc3f1c2a9, "forget_all_cached_acls" },
	{ 0xdb231fae, "nfs_submount" },
	{ 0x7d83b747, "__tracepoint_nfs_xdr_status" },
	{ 0xdc4ef78e, "nfs_mknod" },
	{ 0xffd1c9e2, "nfs_create_server" },
	{ 0x8545c767, "nfs_init_client" },
	{ 0x37a0cba, "kfree" },
	{ 0xee23b2b2, "nfs_post_op_update_inode" },
	{ 0xfbd0f31, "pcpu_hot" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xc0a4368b, "xdr_read_pages" },
	{ 0x98a12589, "nfsacl_decode" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0xcce50ff3, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb42766b, "nfs_mkdir" },
	{ 0x65f18a20, "nfs_revalidate_inode" },
	{ 0x77625756, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x42bd3d73, "nfs_try_get_tree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3b2d0efc, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0xea5223b5, "const_pcpu_hot" },
	{ 0x935377c8, "nfs_get_client" },
	{ 0x8d66e1f8, "__free_pages" },
	{ 0xe5f6b5d8, "nfs_file_operations" },
	{ 0x93e227b4, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x3f292840, "nfs_put_lock_context" },
	{ 0xa009f0f5, "nfs_rename" },
	{ 0x6487abf9, "nfs_lookup" },
	{ 0x5d7b106b, "nfs_sysfs_link_rpc_client" },
	{ 0xe8628aec, "nfsacl_encode" },
	{ 0x2eba0762, "posix_acl_create" },
	{ 0x42f7c1a6, "get_nfs_open_context" },
	{ 0xf65a5cdb, "__SCK__tp_func_nfs_xdr_status" },
	{ 0x9106b66a, "nfs_invalidate_atime" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0xb29f79af, "nfs_getattr" },
	{ 0xf7ee7583, "__SCK__tp_func_nfs_xdr_bad_filehandle" },
	{ 0xa45bc955, "nfs_zap_acl_cache" },
	{ 0x7d61eab4, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xac26f85a, "rpc_bind_new_program" },
	{ 0xaf159bde, "register_nfs_version" },
	{ 0x475b190f, "nfs_atomic_open_v23" },
	{ 0xda4dbc04, "rpc_call_start" },
	{ 0xa87cda5, "rpc_call_sync" },
	{ 0x39862f64, "rpc_prepare_reply_pages" },
	{ 0x4bea37c0, "nfs_fs_type" },
	{ 0xc044733e, "nfs_setattr" },
	{ 0xebf14687, "xdr_terminate_string" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x9a8374d0, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x69706c1c, "make_kgid" },
	{ 0x73dfe30, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xc34699e7, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7af7b9d8, "nfs_rmdir" },
	{ 0x96883ac7, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,lockd,nfs_acl");


MODULE_INFO(srcversion, "12BE3500CFC85C0BEACCCFC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
