#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_user, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_user_dev_check, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0x6e50d33a, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0xb58f49c1, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0x6729d075, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0xb68d5f25, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0x2cd35131, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0x0054915b, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0xa464f085, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0x9e10a8d4, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0x298355ae, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0x8849839b, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0x0a01cbc7, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x351fe296, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x8414789a, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0x7772f5fa, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0x2810d59c, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x2d308bdf, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0x2b1f3d20, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0xfcdea32a, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0xae7ea420, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x86325288, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0x1c3f973a, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0xdfb4bbb9, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0x4087bac5, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x0e192f1e, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0x5b7d4439, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x47e90f07, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_user, 0x648902f6, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x395eba44, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0xe6bf9983, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0x2b28d1f2, "_gpl");
SYMBOL_CRC(dsa_user_dev_check, 0xf1e15da8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc0cbad03, "put_device" },
	{ 0xf3a65913, "devlink_resource_register" },
	{ 0x1ff6bda0, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x3c9c0593, "netif_device_detach" },
	{ 0xea5223b5, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdd3c55b1, "switchdev_bridge_port_offload" },
	{ 0xb69ec039, "netif_device_attach" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x4a65371f, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x45509f58, "ptp_classify_raw" },
	{ 0xbea26236, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x6af498ec, "devlink_region_create" },
	{ 0xc40f4983, "vlan_dev_real_dev" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x275f64ef, "__dev_get_by_index" },
	{ 0x2171bf13, "rtnl_link_unregister" },
	{ 0x73b56def, "perf_trace_run_bpf_submit" },
	{ 0x39496bf9, "devlink_port_unregister" },
	{ 0x48abf03b, "_dev_err" },
	{ 0x422c1305, "init_net" },
	{ 0x6782bdc7, "noop_qdisc" },
	{ 0xbb652c34, "phy_ethtool_get_strings" },
	{ 0xa5151c03, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xa7108b9c, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf1f86efa, "sk_skb_reason_drop" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xad82996d, "dev_remove_pack" },
	{ 0xac233e34, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x87472ca1, "gro_cells_receive" },
	{ 0x7b603a01, "switchdev_handle_port_obj_del_foreign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x582a4714, "skb_push" },
	{ 0x9c484775, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x6f81e65d, "dev_mc_del" },
	{ 0x1439dff, "trace_event_reg" },
	{ 0x17fffda8, "br_vlan_get_info" },
	{ 0xe9bb4f87, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x40d15672, "mdiobus_free" },
	{ 0x991d80aa, "sysfs_create_group" },
	{ 0x1bba9d39, "devlink_resource_occ_get_register" },
	{ 0x97f55a63, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xbccf8fbb, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x51dff6d5, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x4d6180af, "switchdev_bridge_port_unoffload" },
	{ 0xcfe818c2, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x29db9364, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0xdd63e845, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xf6e7c51, "netif_rx" },
	{ 0x656fc34b, "dev_mc_add" },
	{ 0xa228580b, "flow_block_cb_alloc" },
	{ 0xb4780b5, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd4fe069a, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd93dbfd, "__dynamic_netdev_dbg" },
	{ 0x84164447, "pv_ops" },
	{ 0x69a87810, "sysfs_remove_group" },
	{ 0x53d660e4, "net_selftest" },
	{ 0xee93ba41, "bpf_trace_run3" },
	{ 0xb808be3a, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0xbb6ee244, "devlink_port_init" },
	{ 0x4a0f9c9, "__netpoll_setup" },
	{ 0xe392345e, "__dev_queue_xmit" },
	{ 0xa02769e0, "vlan_vid_add" },
	{ 0x75f5fe16, "devlink_params_register" },
	{ 0x5d50acd3, "trace_event_buffer_reserve" },
	{ 0xa7302c4e, "br_vlan_get_info_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x706cd274, "vlan_vid_del" },
	{ 0xa131dfe7, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x9e3ed8bd, "devlink_resources_unregister" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0xa48c68a3, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4f087218, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1ece8c70, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x3a8c6b2a, "devlink_port_region_create" },
	{ 0x3e5e4c75, "devlink_priv" },
	{ 0x8cb8515f, "skb_copy" },
	{ 0x30bf120a, "__hw_addr_sync_dev" },
	{ 0xe90c5a99, "devlink_port_register_with_ops" },
	{ 0x49a9b9a0, "mdiobus_get_phy" },
	{ 0x5954d8b, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xff9c8c93, "__mdiobus_register" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb98dd07d, "dev_uc_add" },
	{ 0xae97ff98, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x82ed6d9f, "br_mst_enabled" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x6c011e6f, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0x49c02919, "dev_kfree_skb_any_reason" },
	{ 0x75205efe, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9ad94cd1, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0x3f121239, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xd7b32054, "dcb_ieee_setapp" },
	{ 0x9c703441, "phy_ethtool_get_sset_count" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd0a875f2, "__skb_vlan_pop" },
	{ 0x42cfe3f1, "phylink_connect_phy" },
	{ 0x169dfe57, "br_get_ageing_time" },
	{ 0xb5e98dee, "register_netdevice" },
	{ 0xc5b03533, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x86c303b9, "netdev_lower_get_next" },
	{ 0x2081ee15, "flow_block_cb_lookup" },
	{ 0x7a47b8a, "switchdev_handle_port_obj_add_foreign" },
	{ 0x2bb17dfc, "devlink_resource_occ_get_unregister" },
	{ 0x35518e8a, "dev_set_mtu" },
	{ 0xbbbade46, "br_vlan_enabled" },
	{ 0xb3336f60, "__skb_pad" },
	{ 0x5b00129, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3aa87219, "skb_ensure_writable_head_tail" },
	{ 0xcb04ae64, "bpf_trace_run4" },
	{ 0xc1edd144, "devlink_unregister" },
	{ 0x70446748, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x9e6e6f3, "br_port_flag_is_set" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x50f22f57, "call_switchdev_notifiers" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa9790ed5, "br_port_get_stp_state" },
	{ 0xfedd5ec1, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xee01d3a0, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa46fad32, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4cfa5f2e, "__netpoll_free" },
	{ 0x24f8077, "trace_raw_output_prep" },
	{ 0xfe3f0a90, "br_vlan_get_proto" },
	{ 0x3961a5b1, "br_mst_get_state" },
	{ 0x648da930, "unregister_netdev" },
	{ 0x72f1efb4, "__trace_trigger_soft_disabled" },
	{ 0xcda325ce, "trace_event_printf" },
	{ 0xb363f56b, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9f43b2fa, "netpoll_send_skb" },
	{ 0xc33d8fb4, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x11417971, "devlink_params_unregister" },
	{ 0x212e183b, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xa9e4fb14, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c133633, "devlink_alloc_ns" },
	{ 0xc17a3fbf, "dev_set_promiscuity" },
	{ 0xae532dba, "devlink_register" },
	{ 0xfbd0f31, "pcpu_hot" },
	{ 0x9f06d538, "devlink_free" },
	{ 0x21f7c67b, "gro_cells_init" },
	{ 0x25c8b734, "bpf_trace_run2" },
	{ 0x2d3c2f25, "netdev_warn" },
	{ 0xd11b5e20, "unregister_netdevice_queue" },
	{ 0x30422881, "get_device" },
	{ 0x16b61915, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb8f0e484, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x636df9e8, "ether_setup" },
	{ 0xcec4f9c3, "switchdev_handle_fdb_event_to_device" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0x8f3719be, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x48b6a5f2, "netdev_upper_dev_link" },
	{ 0xb21c07ad, "pskb_expand_head" },
	{ 0x612f8012, "switchdev_handle_port_attr_set" },
	{ 0x8a57e2b, "phylink_create" },
	{ 0xd31dae8a, "vlan_for_each" },
	{ 0xc682c1bd, "netdev_port_same_parent_id" },
	{ 0xbe04146f, "trace_event_buffer_commit" },
	{ 0x1715c770, "dev_addr_mod" },
	{ 0x74d0fa9c, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf1b01b05, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x4c7eae6b, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf997021f, "vlan_dev_vlan_proto" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "21E43703C74EF3BBF0943BC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
