#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mtl_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_disable_ipc_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_enable_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_pre_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_power_down_dsp, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_cl_init, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_get, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_put, "", "SND_SOC_SOF_INTEL_MTL");

SYMBOL_CRC(mtl_dsp_check_ipc_irq, 0x7089e958, "");
SYMBOL_CRC(mtl_ipc_send_msg, 0x559a13a1, "");
SYMBOL_CRC(mtl_disable_ipc_interrupts, 0xe8609151, "");
SYMBOL_CRC(mtl_enable_interrupts, 0x57bf8cdd, "");
SYMBOL_CRC(mtl_dsp_pre_fw_run, 0xa0f8ac37, "");
SYMBOL_CRC(mtl_dsp_post_fw_run, 0x0d89e855, "");
SYMBOL_CRC(mtl_dsp_dump, 0x81cf9890, "");
SYMBOL_CRC(mtl_power_down_dsp, 0xe7acb9a0, "");
SYMBOL_CRC(mtl_dsp_cl_init, 0xa0ca9958, "");
SYMBOL_CRC(mtl_ipc_irq_thread, 0x8001c2bf, "");
SYMBOL_CRC(mtl_dsp_ipc_get_mailbox_offset, 0x6b69c9e9, "");
SYMBOL_CRC(mtl_dsp_ipc_get_window_offset, 0x3512491a, "");
SYMBOL_CRC(mtl_ipc_dump, 0x5c80d1c3, "");
SYMBOL_CRC(mtl_dsp_core_get, 0x4ad050be, "");
SYMBOL_CRC(mtl_dsp_core_put, 0x2bd9df29, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xfbd0f31, "pcpu_hot" },
	{ 0x80a8c56f, "hda_dsp_set_power_state_ipc4" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd99d636a, "sof_ipc4_intel_dump_telemetry_state" },
	{ 0xb8f0e484, "__dynamic_dev_dbg" },
	{ 0x2604a20c, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x31027654, "sof_hda_common_ops" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x283aa101, "hda_sdw_check_lcount_common" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b37f935, "__SCT__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x23d3cf0, "hda_pci_intel_probe" },
	{ 0xf76af6b7, "snd_sof_dsp_dbg_dump" },
	{ 0xea388685, "sof_mailbox_write" },
	{ 0x48abf03b, "_dev_err" },
	{ 0xa640530a, "debugfs_create_bool" },
	{ 0x7cac1ce4, "snd_sof_dsp_update_bits_forced" },
	{ 0x5d982b3a, "sof_pci_remove" },
	{ 0xde0e66f7, "snd_soc_acpi_intel_mtl_machines" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xed3075a8, "hda_set_dai_drv_ops" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xacc37c85, "snd_sof_ipc_get_reply" },
	{ 0x773bbf53, "snd_sof_dsp_update_bits" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xfb4fa48a, "__SCK__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x7d66838c, "snd_sof_ipc_reply" },
	{ 0x96fea8fb, "hda_ipc4_tx_is_busy" },
	{ 0x592a2d62, "__tracepoint_sof_intel_hda_irq_ipc_check" },
	{ 0xf8bedec2, "hda_ops_free" },
	{ 0x5bfe8912, "sof_pci_shutdown" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0xcc37a11e, "hda_sdw_process_wakeen_common" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5ba94339, "hda_dsp_get_state" },
	{ 0xcdc477c5, "hda_dsp_ipc4_load_library" },
	{ 0xe1abce81, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0xe7957ade, "sof_pci_pm" },
	{ 0x1723f284, "snd_soc_acpi_intel_arl_sdw_machines" },
	{ 0xa40b629c, "snd_soc_acpi_intel_mtl_sdw_machines" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0x48d7054, "hda_sdw_check_wakeen_irq_common" },
	{ 0x18876742, "snd_soc_acpi_intel_arl_machines" },
	{ 0xb529ca25, "hda_dsp_shutdown" },
	{ 0x255e18f1, "hda_sdw_int_enable" },
	{ 0x489f5f1a, "hda_sdw_startup" },
	{ 0x36828c6f, "__pci_register_driver" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-sof,snd-sof-pci,snd-soc-acpi-intel-match");

MODULE_ALIAS("pci:v00008086d00007E28sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007F50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0EA498191FECF50F2A43F14");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
