#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xd7cc1333, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x9c6e1ae9, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x6276a2f5, "");
SYMBOL_CRC(rdma_res_to_id, 0xb32f654e, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x1841bf41, "");
SYMBOL_CRC(rdma_create_user_id, 0x00f651fd, "");
SYMBOL_CRC(rdma_create_qp, 0xc959204d, "");
SYMBOL_CRC(rdma_destroy_qp, 0x8f29492d, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xeb8f05bf, "");
SYMBOL_CRC(rdma_destroy_id, 0xb15976d7, "");
SYMBOL_CRC(rdma_get_service_id, 0x491551b7, "");
SYMBOL_CRC(rdma_read_gids, 0x7930870a, "");
SYMBOL_CRC(rdma_set_service_type, 0x8b0d1e08, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x7fb156ad, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xf33112f6, "");
SYMBOL_CRC(rdma_set_ib_path, 0x11d3f5cc, "");
SYMBOL_CRC(rdma_resolve_route, 0x8a3245fb, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x44165cad, "");
SYMBOL_CRC(rdma_set_afonly, 0xe5d0a264, "");
SYMBOL_CRC(rdma_listen, 0x5a6082ba, "");
SYMBOL_CRC(rdma_resolve_addr, 0x83449643, "");
SYMBOL_CRC(rdma_bind_addr, 0x5a9ddb22, "");
SYMBOL_CRC(rdma_connect_locked, 0x5cbe5d26, "");
SYMBOL_CRC(rdma_connect, 0x9aa950f6, "");
SYMBOL_CRC(rdma_connect_ece, 0xe0b24ec0, "");
SYMBOL_CRC(rdma_accept, 0x63e16d6c, "");
SYMBOL_CRC(rdma_accept_ece, 0xe648d2ed, "");
SYMBOL_CRC(rdma_lock_handler, 0x3a1e26c8, "");
SYMBOL_CRC(rdma_unlock_handler, 0xf8f98257, "");
SYMBOL_CRC(rdma_notify, 0x66443946, "");
SYMBOL_CRC(rdma_reject, 0x37dffb5c, "");
SYMBOL_CRC(rdma_disconnect, 0x5ff3ddfe, "");
SYMBOL_CRC(rdma_join_multicast, 0x3dc8ca29, "");
SYMBOL_CRC(rdma_leave_multicast, 0x81686291, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbe9d5c28, "iw_cm_connect" },
	{ 0x9cb3fb36, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x88432e3f, "rdma_addr_cancel" },
	{ 0x5e489883, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x8e641b01, "ib_sa_get_mcmember_rec" },
	{ 0xea5223b5, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x4447dd54, "ib_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xde6d4e6, "ib_sa_path_rec_get" },
	{ 0xecac8a54, "ib_create_cm_id" },
	{ 0x8b434471, "__ip_mc_dec_group" },
	{ 0xc40f4983, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x73b56def, "perf_trace_run_bpf_submit" },
	{ 0x47743247, "ib_init_ah_from_mcmember" },
	{ 0xae7776a6, "rdma_destroy_ah_attr" },
	{ 0xb3883b96, "ib_set_client_data" },
	{ 0x422c1305, "init_net" },
	{ 0x5e20b25d, "ib_get_cached_pkey" },
	{ 0xdfce3ffd, "configfs_register_subsystem" },
	{ 0x9156f2c, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd208cad9, "rdma_put_gid_attr" },
	{ 0x40f6bbdf, "config_group_init_type_name" },
	{ 0x1912b0e, "dev_get_by_index" },
	{ 0x5478995a, "iw_destroy_cm_id" },
	{ 0x95cdab97, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x21737718, "ib_send_cm_rep" },
	{ 0x1439dff, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb3c0da78, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x8a305d9e, "bpf_trace_run1" },
	{ 0xdb2aaf91, "ib_destroy_qp_user" },
	{ 0x75c5b278, "unregister_pernet_subsys" },
	{ 0x57e316f2, "ib_cm_init_qp_attr" },
	{ 0xcfe818c2, "_dev_warn" },
	{ 0x2cf5490a, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xff5bbcb1, "rdma_restrack_set_name" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xb263e658, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xa9127c04, "ib_get_cached_port_state" },
	{ 0x32606ce9, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8b28610a, "rdma_restrack_del" },
	{ 0xecbed80b, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xee93ba41, "bpf_trace_run3" },
	{ 0x71ded8be, "__put_net" },
	{ 0x1f5b586c, "rdma_restrack_parent_name" },
	{ 0x2c39a9ba, "iw_cm_accept" },
	{ 0x5d50acd3, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x257b9b2d, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x74dab26f, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xc4e2de5e, "iw_cm_init_qp_attr" },
	{ 0x5954d8b, "dst_release" },
	{ 0x13f9f7e, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x92e9aeed, "ib_send_cm_dreq" },
	{ 0xb18f0949, "ib_send_cm_req" },
	{ 0x60231547, "ib_create_qp_kernel" },
	{ 0x29220990, "ib_sa_join_multicast" },
	{ 0x6c86539b, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x64da299a, "rdma_get_gid_attr" },
	{ 0x138b348c, "rdma_restrack_new" },
	{ 0x729d69d1, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x1815a688, "iw_cm_listen" },
	{ 0x820c3fec, "ib_send_cm_rej" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb4e3ca9f, "rdma_copy_src_l2_addr" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0xa71cb243, "rdma_resolve_ip" },
	{ 0x41ead4fc, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf5e64636, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x5a4a27d3, "ib_unregister_client" },
	{ 0xb561f7f8, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdf1ebb8e, "ib_send_cm_sidr_rep" },
	{ 0xcb04ae64, "bpf_trace_run4" },
	{ 0x2ca26b07, "config_group_init" },
	{ 0xc9de7df1, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfb01ade0, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x24f8077, "trace_raw_output_prep" },
	{ 0xfadc82c5, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x72f1efb4, "__trace_trigger_soft_disabled" },
	{ 0xcda325ce, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0xa9e4fb14, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x308db7a8, "rdma_query_gid" },
	{ 0x69f76d6c, "rt6_lookup" },
	{ 0xfbd0f31, "pcpu_hot" },
	{ 0x926c8ae4, "rdma_translate_ip" },
	{ 0x25c8b734, "bpf_trace_run2" },
	{ 0x9c98352e, "rdma_dev_access_netns" },
	{ 0x1acfb06b, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa40a4640, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x961caec9, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd9027530, "register_pernet_subsys" },
	{ 0xbe04146f, "trace_event_buffer_commit" },
	{ 0x28e954f8, "ip_mc_inc_group" },
	{ 0xc507f159, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x19fd748d, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "iw_cm,ib_core,ib_cm,configfs");


MODULE_INFO(srcversion, "13C2F6469B0E8343BBFD221");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
