#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_conn_register, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_conn_unregister, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_cec_adap_register, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_cec_adap_unregister, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_set_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_set_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_parse_hdmi_phandle, "_gpl", "");
KSYMTAB_FUNC(cec_pin_changed, "_gpl", "");
KSYMTAB_FUNC(cec_pin_allocate_adapter, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0x1e50e0d6, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0xee318988, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0xba8be035, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0xe9a9c00f, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0x056f8e01, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0xb6f71182, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0x4c2b5c38, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0xdc09d498, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x00fa00c1, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0xdd9289ac, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0xe2285edd, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0xd488c110, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0x01529dc0, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0xb827fa4b, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x7a42684d, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0xbc80f3f2, "_gpl");
SYMBOL_CRC(cec_notifier_conn_register, 0x253213fe, "_gpl");
SYMBOL_CRC(cec_notifier_conn_unregister, 0xaee236c6, "_gpl");
SYMBOL_CRC(cec_notifier_cec_adap_register, 0xea20e35a, "_gpl");
SYMBOL_CRC(cec_notifier_cec_adap_unregister, 0x7b0b73a2, "_gpl");
SYMBOL_CRC(cec_notifier_set_phys_addr, 0xa01fbb6b, "_gpl");
SYMBOL_CRC(cec_notifier_set_phys_addr_from_edid, 0xb3422b7e, "_gpl");
SYMBOL_CRC(cec_notifier_parse_hdmi_phandle, 0x9f76089e, "_gpl");
SYMBOL_CRC(cec_pin_changed, 0x27005244, "_gpl");
SYMBOL_CRC(cec_pin_allocate_adapter, 0x052f8a75, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa0f17af4, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x20d42453, "debugfs_create_devm_seqfile" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc0cbad03, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2b2047cd, "rc_keyup" },
	{ 0xf64226ef, "bus_unregister" },
	{ 0x48abf03b, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd6bc8bb5, "rc_register_device" },
	{ 0x172ae672, "debugfs_remove" },
	{ 0x5223e4c8, "rc_keydown" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf6da1e2, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x108c4fc3, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xc0b7c197, "hrtimer_start_range_ns" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xee37d17c, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2967033c, "rc_allocate_device" },
	{ 0xa719d826, "seq_read" },
	{ 0xa80e4eb0, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf7b05dd3, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x554475ca, "seq_write" },
	{ 0xa9010c1b, "kobject_set_name" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x102fe6de, "hrtimer_cancel" },
	{ 0xfc79eb12, "single_release" },
	{ 0x135bb7ec, "hrtimer_forward" },
	{ 0xddffd585, "param_ops_int" },
	{ 0x665bbd8, "single_open" },
	{ 0xce693ee4, "debugfs_create_dir" },
	{ 0x857611b0, "rc_unregister_device" },
	{ 0x7f0fb6df, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0x123627f, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x67c63120, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xca6f9f3b, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5fc8529d, "device_initialize" },
	{ 0xea82d349, "hrtimer_init" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x239c6232, "seq_lseek" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x30422881, "get_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe7a34093, "wake_up_process" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "rc-core");


MODULE_INFO(srcversion, "6F7F09840FDAE26CC64FFBE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
