#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(felix_register_switch, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_register_switch, 0x2750865f, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0xd7e2f7f2, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0x12ed6bb8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x623829c8, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfa9575ad, "ocelot_port_pre_bridge_flags" },
	{ 0x3cac70a6, "ocelot_port_del_dscp_prio" },
	{ 0x8d39eb77, "ocelot_mrp_del_ring_role" },
	{ 0xc78e22c0, "ocelot_sb_tc_pool_bind_set" },
	{ 0x2b1f3d20, "dsa_fdb_present_in_other_db" },
	{ 0xf4cabcb, "ocelot_unlock_xtr_grp" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfcdea32a, "dsa_mdb_present_in_other_db" },
	{ 0x8209b188, "ocelot_vcap_filter_add" },
	{ 0x32019fb1, "ocelot_sb_port_pool_get" },
	{ 0xc699f70a, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0x6b20266d, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0x144974bf, "ocelot_port_inject_frame" },
	{ 0x47153967, "dev_err_probe" },
	{ 0xdbab31a3, "ocelot_mrp_add" },
	{ 0x72f75e45, "ocelot_sb_occ_port_pool_get" },
	{ 0x780321f2, "ocelot_sb_pool_set" },
	{ 0x3e5a3faa, "ocelot_lag_fdb_del" },
	{ 0xa3984ed0, "ocelot_vcap_filter_del" },
	{ 0xd19e21fa, "ocelot_cls_flower_stats" },
	{ 0xaf24fb3a, "ocelot_lock_inj_grp" },
	{ 0xf80f1346, "ocelot_lock_xtr_grp_bh" },
	{ 0x2b184dc6, "ocelot_sb_pool_get" },
	{ 0xc1d8bdb, "ocelot_lock_xtr_grp" },
	{ 0x281e7230, "ocelot_phylink_mac_link_up" },
	{ 0x2591d9b, "ocelot_deinit_port" },
	{ 0x4a71f737, "ocelot_can_inject" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0x8c2feb84, "ocelot_port_mirror_add" },
	{ 0x3ce52460, "ocelot_fdb_dump" },
	{ 0x8b7fc3d6, "ocelot_vlan_prepare" },
	{ 0x5b7d4439, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x10a66b69, "ocelot_set_ageing_time" },
	{ 0x830e27cd, "__ocelot_rmw_ix" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xf515886a, "ocelot_hwstamp_set" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdb8bdb2a, "ocelot_port_policer_del" },
	{ 0xcc5ea581, "ocelot_port_lag_change" },
	{ 0xfedd5ec1, "consume_skb" },
	{ 0xe4611fee, "ocelot_port_policer_add" },
	{ 0xb97f3ff9, "ocelot_port_mdb_add" },
	{ 0x7dcb3ebc, "ocelot_vlan_add" },
	{ 0x9e315eb5, "ocelot_sb_tc_pool_bind_get" },
	{ 0x8ecf1557, "ocelot_port_bridge_flags" },
	{ 0x7c77af2, "ocelot_devlink_sb_unregister" },
	{ 0x30fa71d1, "ocelot_port_bridge_leave" },
	{ 0x5a58f453, "ocelot_port_set_maxlen" },
	{ 0x32bf5f10, "ocelot_vcap_filter_replace" },
	{ 0x1111ccc9, "ocelot_get_max_mtu" },
	{ 0x543ae0c3, "regmap_fields_update_bits_base" },
	{ 0x96d22ebb, "ocelot_sb_occ_snapshot" },
	{ 0x822cf0a1, "ocelot_get_ts_info" },
	{ 0x1d57d96d, "ocelot_sb_occ_max_clear" },
	{ 0x21fedd1e, "ocelot_port_get_mm" },
	{ 0x93e06bb, "ocelot_ptp_gettime64" },
	{ 0xac75db2a, "ocelot_unlock_inj_grp" },
	{ 0x8b39aa26, "ocelot_get_strings" },
	{ 0xa01cbc7, "dsa_register_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0x53f5a4d0, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0x6dc1f5f5, "ocelot_unlock_xtr_grp_bh" },
	{ 0xf4cc8c69, "ocelot_port_add_dscp_prio" },
	{ 0xd5429617, "ocelot_drain_cpu_queue" },
	{ 0xd097a2bd, "ocelot_port_mirror_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe1c1be67, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58428f6e, "__ocelot_read_ix" },
	{ 0xa368878d, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2d308bdf, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x11687b8c, "ocelot_get_sset_count" },
	{ 0x1b825782, "ocelot_migrate_mdbs" },
	{ 0xdf6f23bc, "ocelot_hwstamp_get" },
	{ 0x734e27e1, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6b914ab5, "ocelot_port_bridge_join" },
	{ 0xddf2c303, "ocelot_fdb_add" },
	{ 0xf6cd5d4e, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0xc59d02f4, "ocelot_xtr_poll_frame" },
	{ 0xf9434783, "ocelot_port_get_default_prio" },
	{ 0x45509f58, "ptp_classify_raw" },
	{ 0x3751d666, "ocelot_port_set_default_prio" },
	{ 0xe192f1e, "dsa_tag_8021q_register" },
	{ 0x39b4f7a9, "ocelot_port_get_mm_stats" },
	{ 0xed6344f6, "ocelot_deinit" },
	{ 0x48abf03b, "_dev_err" },
	{ 0x2772dbf0, "ocelot_vlan_del" },
	{ 0xf1f86efa, "sk_skb_reason_drop" },
	{ 0xd2649f15, "ocelot_bond_get_id" },
	{ 0xf12c539, "ocelot_get_ethtool_stats" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6298f682, "ocelot_cls_flower_destroy" },
	{ 0x5c94c134, "ocelot_port_vlan_filtering" },
	{ 0xdeb6b4d2, "ocelot_port_get_rmon_stats" },
	{ 0x1dc02f95, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0xe0f83908, "ocelot_lag_fdb_add" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x700f4c36, "ocelot_bridge_stp_state_set" },
	{ 0x8d642c85, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf6e7c51, "netif_rx" },
	{ 0x33aaf39d, "ocelot_port_get_eth_ctrl_stats" },
	{ 0x9cead140, "ocelot_fdb_del" },
	{ 0x21686db7, "ocelot_phylink_mac_link_down" },
	{ 0xa121cd9e, "ocelot_port_lag_join" },
	{ 0x8dd23082, "ocelot_port_get_eth_phy_stats" },
	{ 0xed500dc0, "ocelot_port_lag_leave" },
	{ 0x8636b530, "ocelot_mrp_add_ring_role" },
	{ 0x1192dd69, "ocelot_port_set_mm" },
	{ 0xfe6da343, "ocelot_deinit_timestamp" },
	{ 0x94ece599, "ocelot_cls_flower_replace" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xecf3bdea, "ocelot_port_get_stats64" },
	{ 0x70d0037c, "ocelot_port_get_dscp_prio" },
	{ 0x3e6bdfe, "ocelot_port_mdb_del" },
	{ 0xdfd2790, "ocelot_port_get_eth_mac_stats" },
	{ 0x7ca7abf8, "ocelot_mact_flush" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "44787D8C09EEB2936783AC0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
