#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0x286d9da6, "");
SYMBOL_CRC(vnic_dev_get_res, 0xf30ab0e7, "");
SYMBOL_CRC(vnic_dev_unregister, 0xa7d749cc, "");
SYMBOL_CRC(vnic_dev_register, 0x552952cb, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0x36f65266, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0x5fb0c6ca, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74d0fa9c, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3b63467e, "dma_map_page_attrs" },
	{ 0xcac17834, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6b536f30, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x8b8061e2, "_dev_info" },
	{ 0xe00105e4, "__hw_addr_unsync_dev" },
	{ 0x4a8ab48f, "napi_gro_receive" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xbea26236, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x4991cb9b, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x27bda1bc, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x48abf03b, "_dev_err" },
	{ 0xad8d3fe3, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x2bccab3b, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6775245c, "netif_set_real_num_rx_queues" },
	{ 0x42e3489, "dev_close" },
	{ 0xe141966c, "dma_alloc_attrs" },
	{ 0x38bae4b8, "pci_read_config_word" },
	{ 0x18aaa785, "napi_enable" },
	{ 0xa71d098c, "netif_receive_skb" },
	{ 0x8d304f20, "nla_put" },
	{ 0x4218c646, "register_netdev" },
	{ 0xe9bb4f87, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x97f55a63, "ethtool_op_get_link" },
	{ 0x60e88f74, "netif_set_xps_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xba93a0b, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0xcfe818c2, "_dev_warn" },
	{ 0xcf4cc4aa, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x58d984fa, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x6c217892, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbc98d103, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x960f5c7b, "rps_may_expire_flow" },
	{ 0x3994e19e, "dma_free_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc0429201, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xec1ca454, "call_netdevice_notifiers" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4f087218, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0x30bf120a, "__hw_addr_sync_dev" },
	{ 0x90262535, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x408c4954, "netif_carrier_on" },
	{ 0xde1867f3, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc14d4129, "pci_disable_device" },
	{ 0x560f9a58, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x27ffa44b, "__skb_flow_dissect" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc911b00, "__napi_schedule_irqoff" },
	{ 0xcf9e7d1c, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x10e9fe7b, "napi_disable" },
	{ 0x49c02919, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x68447c7c, "pci_enable_sriov" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0x7cd37513, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc790cf0, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xad76986b, "pci_find_ext_capability" },
	{ 0xaf51b509, "skb_copy_bits" },
	{ 0x113545cc, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xfd913442, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9eb321e1, "pci_enable_device_mem" },
	{ 0xfedd5ec1, "consume_skb" },
	{ 0x982a2155, "pci_iomap" },
	{ 0x6cc65a88, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x648da930, "unregister_netdev" },
	{ 0x882ab583, "dma_unmap_page_attrs" },
	{ 0x36828c6f, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x69de18cc, "pci_disable_msi" },
	{ 0x2c92e29e, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xfbd0f31, "pcpu_hot" },
	{ 0x20bea2e6, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x2d3c2f25, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xaff084d3, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2604a20c, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x8f3719be, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1e41bf28, "dev_driver_string" },
	{ 0x1715c770, "dev_addr_mod" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "BC2E97E5A825F30A9DEE11A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
