#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd17eb256, "wx_set_ring" },
	{ 0xf7370f56, "system_state" },
	{ 0x36828c6f, "__pci_register_driver" },
	{ 0x477f8c32, "wx_init_interrupt_scheme" },
	{ 0x18239369, "wx_get_mac_stats" },
	{ 0xf1bbdcbb, "devm_ioremap" },
	{ 0xce74a37c, "phy_attached_info" },
	{ 0x37a0cba, "kfree" },
	{ 0x7dd82aa4, "wx_get_coalesce" },
	{ 0xfbd0f31, "pcpu_hot" },
	{ 0xc04e7933, "wx_mac_set_default_filter" },
	{ 0x20bea2e6, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x213dc6e5, "pci_set_power_state" },
	{ 0x19dd42b3, "wx_host_interface_command" },
	{ 0x182390c0, "wx_xmit_frame" },
	{ 0x59c9769d, "wx_get_sset_count" },
	{ 0x2bb68767, "wx_misc_isb" },
	{ 0x8e16a678, "wx_configure_vectors" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2604a20c, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8a57e2b, "phylink_create" },
	{ 0x71ddfb62, "wx_check_flash_load" },
	{ 0xa55b85e9, "wx_get_pcie_msix_counts" },
	{ 0xce3da164, "wx_vlan_rx_add_vid" },
	{ 0x1715c770, "dev_addr_mod" },
	{ 0x1af271e3, "wx_stop_adapter" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x650d9e6e, "wx_get_pauseparam" },
	{ 0x28367c16, "wx_nway_reset" },
	{ 0x77c625b, "wx_update_stats" },
	{ 0x3c9c0593, "netif_device_detach" },
	{ 0xdabe0efe, "wx_clear_hw_cntrs" },
	{ 0xb69ec039, "netif_device_attach" },
	{ 0x7ac6d931, "pci_select_bars" },
	{ 0x79c8420a, "wx_sw_init" },
	{ 0x8d509f45, "wx_disable_rx_queue" },
	{ 0x7751ab4b, "devm_alloc_etherdev_mqs" },
	{ 0xca2a1227, "device_wakeup_disable" },
	{ 0x1e5eda3a, "wx_vlan_rx_kill_vid" },
	{ 0x48abf03b, "_dev_err" },
	{ 0x8b91d8e0, "wx_get_ringparam" },
	{ 0xcee3293f, "wx_free_resources" },
	{ 0xe8653144, "wx_fix_features" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1c5add86, "wx_clean_all_tx_rings" },
	{ 0x2bccab3b, "netif_set_real_num_tx_queues" },
	{ 0x6775245c, "netif_set_real_num_rx_queues" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x11590a4f, "wx_phy_read_reg_mdi_c22" },
	{ 0x4218c646, "register_netdev" },
	{ 0xb718c150, "wx_irq_disable" },
	{ 0xc14f6355, "wx_phy_read_reg_mdi_c45" },
	{ 0x933fbeeb, "wx_set_coalesce" },
	{ 0x9ea028e7, "wx_napi_enable_all" },
	{ 0x298f1f01, "wx_configure_rx" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x97f55a63, "ethtool_op_get_link" },
	{ 0xe5b91069, "wx_napi_disable_all" },
	{ 0x5d404b5d, "netif_tx_stop_all_queues" },
	{ 0x54d36c4e, "phy_find_first" },
	{ 0x931f4878, "wx_read_ee_hostif" },
	{ 0x842b044, "wx_get_drvinfo" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xcf4cc4aa, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc95779e7, "wx_init_eeprom_params" },
	{ 0x16c0b9c5, "wx_setup_resources" },
	{ 0xd641b372, "wx_reset_interrupt_capability" },
	{ 0xfcfa599f, "wx_phy_write_reg_mdi_c22" },
	{ 0x22d3ceae, "devm_mdiobus_alloc_size" },
	{ 0x643b51ea, "wx_get_ethtool_stats" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x54732bd9, "wx_init_rx_addrs" },
	{ 0xbc98d103, "dma_set_coherent_mask" },
	{ 0x3b6c90b6, "wx_get_channels" },
	{ 0xcdb1a20a, "netdev_reset_tc" },
	{ 0xc31ece30, "wx_configure" },
	{ 0x58e5f65, "wx_intr_enable" },
	{ 0x9351e57c, "wx_change_mtu" },
	{ 0xebed9623, "wx_get_link_ksettings" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x95de659d, "netdev_set_num_tc" },
	{ 0xf8ecdc1c, "wx_get_mac_addr" },
	{ 0x886c8086, "wx_get_pause_stats" },
	{ 0x9586431c, "wx_get_stats64" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc14d4129, "pci_disable_device" },
	{ 0x208ca8c0, "wx_get_msglevel" },
	{ 0xe5f06094, "__devm_mdiobus_register" },
	{ 0x560f9a58, "dma_set_mask" },
	{ 0xb95152ab, "wx_set_channels" },
	{ 0x6bcb3f86, "wx_set_mac" },
	{ 0x7a9779b2, "wx_phy_write_reg_mdi_c45" },
	{ 0xf74eeac2, "wx_set_rx_mode" },
	{ 0xc911b00, "__napi_schedule_irqoff" },
	{ 0xcf9e7d1c, "napi_schedule_prep" },
	{ 0x2f9ebbbb, "wx_mng_present" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xaa8af6aa, "wx_get_strings" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x8999cd34, "wx_fc_enable" },
	{ 0x1bfaa064, "wx_clear_interrupt_scheme" },
	{ 0x1940c311, "wx_disable_rx" },
	{ 0x4b3398bd, "wx_msix_clean_rings" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x42cfe3f1, "phylink_connect_phy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7d29b024, "device_set_wakeup_enable" },
	{ 0x6f18864d, "wx_clean_all_rx_rings" },
	{ 0xdc393806, "wx_set_msglevel" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x14c07dc2, "wx_control_hw" },
	{ 0xf522036a, "wx_reset_misc" },
	{ 0xa20a341, "pci_request_selected_regions" },
	{ 0x58fc7476, "pci_release_selected_regions" },
	{ 0x9bb2e93b, "pci_wake_from_d3" },
	{ 0xdbdc2604, "wx_free_irq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xa2b09c8e, "wx_free_isb_resources" },
	{ 0x9eb321e1, "pci_enable_device_mem" },
	{ 0x3c0bf9b0, "wx_set_pauseparam" },
	{ 0xba054813, "wx_set_features" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x648da930, "unregister_netdev" },
	{ 0xc61919d8, "wx_set_link_ksettings" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "libwx,libphy,phylink,mdio_devres");

MODULE_ALIAS("pci:v00008088d00000100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000101sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000102sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000103sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000104sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000105sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000106sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000107sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000108sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000109sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d0000010Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d0000010Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0EBBDFECD5D2BD947824578");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
