#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0xf2cb1ca2, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0xed9f874a, "");
SYMBOL_CRC(team_options_register, 0x7f8282a8, "");
SYMBOL_CRC(team_options_unregister, 0xce071740, "");
SYMBOL_CRC(team_option_inst_set_change, 0x40074434, "");
SYMBOL_CRC(team_options_change_check, 0x878b99c3, "");
SYMBOL_CRC(team_mode_register, 0xd4887554, "");
SYMBOL_CRC(team_mode_unregister, 0xea8a336d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x71d796b9, "netdev_has_upper_dev" },
	{ 0x32ca96e, "netdev_change_features" },
	{ 0x334555b2, "netdev_lower_state_changed" },
	{ 0xd41a885d, "netdev_master_upper_dev_link" },
	{ 0x32fe7631, "vlan_vids_add_by_dev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd4fe069a, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd93dbfd, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x84164447, "pv_ops" },
	{ 0x3646f84c, "vlan_vids_del_by_dev" },
	{ 0x4a0f9c9, "__netpoll_setup" },
	{ 0xe392345e, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa02769e0, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xec1ca454, "call_netdevice_notifiers" },
	{ 0x706cd274, "vlan_vid_del" },
	{ 0xa131dfe7, "dev_set_allmulti" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4f087218, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x751d192a, "skb_clone" },
	{ 0x408c4954, "netif_carrier_on" },
	{ 0x83a937d4, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8daa67a0, "netdev_rx_handler_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x41c4de8d, "genl_unregister_family" },
	{ 0x1a642799, "dev_disable_lro" },
	{ 0x754d539c, "strlen" },
	{ 0x49c02919, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7c65b483, "dev_mc_unsync" },
	{ 0x503443dc, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0x7cd37513, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf2aedf67, "dev_mc_sync_multiple" },
	{ 0xb5e98dee, "register_netdevice" },
	{ 0x35518e8a, "dev_set_mtu" },
	{ 0x5b00129, "try_module_get" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x70446748, "__nlmsg_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfedd5ec1, "consume_skb" },
	{ 0x4cfa5f2e, "__netpoll_free" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x9f43b2fa, "netpoll_send_skb" },
	{ 0xc33d8fb4, "rtnl_link_register" },
	{ 0x94649179, "genlmsg_put" },
	{ 0xf0b32b1f, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0xc17a3fbf, "dev_set_promiscuity" },
	{ 0xfbd0f31, "pcpu_hot" },
	{ 0x2d3c2f25, "netdev_warn" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb303c309, "dev_uc_unsync" },
	{ 0x636df9e8, "ether_setup" },
	{ 0xf155af5a, "netlink_broadcast_filtered" },
	{ 0x8f3719be, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1715c770, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x774f38b4, "passthru_features_check" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe04cc373, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x19562170, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4a65371f, "module_put" },
	{ 0x930620cf, "dev_uc_flush" },
	{ 0xbea26236, "dev_open" },
	{ 0x2171bf13, "rtnl_link_unregister" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xca2c4d97, "dev_mc_flush" },
	{ 0xf1f86efa, "sk_skb_reason_drop" },
	{ 0xec329d15, "netlink_unicast" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x1912b0e, "dev_get_by_index" },
	{ 0x42e3489, "dev_close" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9c484775, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x97f55a63, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd679ef8f, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xd4ff488f, "dev_set_mac_address" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3EAB7001A3F279E2BD0D13C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
