#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x04cf8410, "");
SYMBOL_CRC(ndlc_close, 0xacfde9d8, "");
SYMBOL_CRC(ndlc_send, 0x91df9012, "");
SYMBOL_CRC(ndlc_recv, 0x4018eef5, "");
SYMBOL_CRC(ndlc_probe, 0xfd31192a, "");
SYMBOL_CRC(ndlc_remove, 0xfadfeb0f, "");
SYMBOL_CRC(st_nci_probe, 0x976500a0, "_gpl");
SYMBOL_CRC(st_nci_remove, 0xfc2f48c5, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0xaa98a904, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0xb3d642cd, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x300049f6, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0x59aa8c96, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0xc2162c90, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0x93f63c1c, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x28753680, "");
SYMBOL_CRC(st_nci_se_init, 0x18c16510, "");
SYMBOL_CRC(st_nci_se_deinit, 0x7adc4305, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0xfc610dde, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x167c5967, "print_hex_dump" },
	{ 0x289589cc, "nfc_se_transaction" },
	{ 0x48abf03b, "_dev_err" },
	{ 0xc733fb2a, "skb_pull" },
	{ 0xc520a1d4, "nci_hci_connect_gate" },
	{ 0xf1f86efa, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x582a4714, "skb_push" },
	{ 0x8d304f20, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xc128d80, "nci_prop_cmd" },
	{ 0x4cf3f610, "nci_core_conn_create" },
	{ 0xad5a1c31, "nci_nfcc_loopback" },
	{ 0xa673d0ba, "nci_unregister_device" },
	{ 0x4db7257f, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe3b02e80, "nci_hci_send_event" },
	{ 0x266d40d5, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x26dbbc93, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1a132bb7, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0xcc86ca23, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2e690070, "nci_recv_frame" },
	{ 0x812c6c47, "nci_hci_dev_session_init" },
	{ 0x3d402031, "nci_hci_set_param" },
	{ 0x1ac2f9da, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8f4c8583, "skb_queue_head" },
	{ 0x54446903, "nci_free_device" },
	{ 0x1516c658, "nci_allocate_device" },
	{ 0xb5bc716e, "nci_register_device" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xd369a216, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x688731a6, "nfc_add_se" },
	{ 0xc8f1396d, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1a7ee41d, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1f706f80, "skb_queue_purge_reason" },
	{ 0x9d5babc2, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8f6077c, "nci_hci_get_param" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x515af712, "skb_queue_tail" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
