#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(st21nfca_hci_probe, "", "");
KSYMTAB_FUNC(st21nfca_hci_remove, "", "");
KSYMTAB_FUNC(st21nfca_tm_send_dep_res, "", "");
KSYMTAB_FUNC(st21nfca_dep_event_received, "", "");
KSYMTAB_FUNC(st21nfca_im_send_atr_req, "", "");
KSYMTAB_FUNC(st21nfca_im_send_dep_req, "", "");
KSYMTAB_FUNC(st21nfca_dep_init, "", "");
KSYMTAB_FUNC(st21nfca_dep_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_discover_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_enable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_disable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_se_io, "", "");
KSYMTAB_FUNC(st21nfca_connectivity_event_received, "", "");
KSYMTAB_FUNC(st21nfca_apdu_reader_event_received, "", "");
KSYMTAB_FUNC(st21nfca_se_init, "", "");
KSYMTAB_FUNC(st21nfca_se_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_loopback_event_received, "", "");
KSYMTAB_FUNC(st21nfca_vendor_cmds_init, "", "");

SYMBOL_CRC(st21nfca_hci_probe, 0x8ee06f7f, "");
SYMBOL_CRC(st21nfca_hci_remove, 0x46106077, "");
SYMBOL_CRC(st21nfca_tm_send_dep_res, 0xb6a156ed, "");
SYMBOL_CRC(st21nfca_dep_event_received, 0x6a0edd27, "");
SYMBOL_CRC(st21nfca_im_send_atr_req, 0x52717189, "");
SYMBOL_CRC(st21nfca_im_send_dep_req, 0xdbe353ad, "");
SYMBOL_CRC(st21nfca_dep_init, 0x757e40d2, "");
SYMBOL_CRC(st21nfca_dep_deinit, 0x461e77f8, "");
SYMBOL_CRC(st21nfca_hci_discover_se, 0x7d98aefb, "");
SYMBOL_CRC(st21nfca_hci_enable_se, 0x30a3de38, "");
SYMBOL_CRC(st21nfca_hci_disable_se, 0x68ef7ee1, "");
SYMBOL_CRC(st21nfca_hci_se_io, 0x4fc753d8, "");
SYMBOL_CRC(st21nfca_connectivity_event_received, 0x22925f3e, "");
SYMBOL_CRC(st21nfca_apdu_reader_event_received, 0x1bd7481d, "");
SYMBOL_CRC(st21nfca_se_init, 0x38036893, "");
SYMBOL_CRC(st21nfca_se_deinit, 0x9ac9ec3b, "");
SYMBOL_CRC(st21nfca_hci_loopback_event_received, 0x71174764, "");
SYMBOL_CRC(st21nfca_vendor_cmds_init, 0x1e483dfc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2fca8a33, "nfc_hci_free_device" },
	{ 0x289589cc, "nfc_se_transaction" },
	{ 0x7cda1118, "nfc_get_local_general_bytes" },
	{ 0x2bf9181c, "nfc_hci_register_device" },
	{ 0xffadcd18, "nfc_set_remote_general_bytes" },
	{ 0x48abf03b, "_dev_err" },
	{ 0xc733fb2a, "skb_pull" },
	{ 0xf1f86efa, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x582a4714, "skb_push" },
	{ 0x8d304f20, "nla_put" },
	{ 0x8a1d61a6, "nfc_hci_send_cmd" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x34273fcb, "nfc_hci_get_clientdata" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb1bb6592, "nfc_tm_activated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f31ad77, "nfc_hci_allocate_device" },
	{ 0xd4fe069a, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x26dbbc93, "nfc_se_connectivity" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0xcc86ca23, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc74c826b, "nfc_hci_set_param" },
	{ 0x10fc7d1e, "nfc_dep_link_is_up" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9943fa3, "nfc_hci_send_event" },
	{ 0x639cf042, "nfc_hci_disconnect_all_gates" },
	{ 0xce06d5dc, "nfc_hci_disconnect_gate" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe72e4c3d, "nfc_hci_set_clientdata" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xd369a216, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x113545cc, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2212df36, "nfc_hci_get_param" },
	{ 0x7421accb, "nfc_hci_send_cmd_async" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x688731a6, "nfc_add_se" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7affdd6f, "nfc_llc_stop" },
	{ 0x87d214c8, "nfc_hci_connect_gate" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x4762fde5, "nfc_tm_data_received" },
	{ 0x1a7ee41d, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x53adbc81, "nfc_hci_unregister_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd231c55, "nfc_hci_sak_to_protocol" },
	{ 0x19562170, "__alloc_skb" },
	{ 0x8b6fd111, "nfc_llc_start" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "hci,nfc");


MODULE_INFO(srcversion, "5EBB7B3E4FC40AA7D0FC977");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
