#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0xccf0f06b, "");
SYMBOL_CRC(fc_host_post_event, 0xa18ee29b, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0x25955d5a, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0x4ec655ec, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0x407abead, "");
SYMBOL_CRC(scsi_is_fc_rport, 0xc329edd0, "");
SYMBOL_CRC(fc_eh_timed_out, 0x4466da62, "");
SYMBOL_CRC(fc_attach_transport, 0x3eb34c04, "");
SYMBOL_CRC(fc_release_transport, 0x2dbd24de, "");
SYMBOL_CRC(fc_remove_host, 0xb79740c6, "");
SYMBOL_CRC(fc_remote_port_add, 0x7f096d58, "");
SYMBOL_CRC(fc_remote_port_delete, 0x7425eb61, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0x691eb586, "");
SYMBOL_CRC(fc_block_rport, 0x5bb82842, "");
SYMBOL_CRC(fc_block_scsi_eh, 0xfb489fb4, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0x37a4b34b, "_gpl");
SYMBOL_CRC(fc_vport_create, 0x788be45a, "");
SYMBOL_CRC(fc_vport_terminate, 0x45f5e3d6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xae97d25b, "attribute_container_unregister" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa0f29668, "scsi_host_get" },
	{ 0x5fc8529d, "device_initialize" },
	{ 0x30422881, "get_device" },
	{ 0x67c63120, "dev_set_name" },
	{ 0x4e609ffb, "transport_setup_device" },
	{ 0x4102d826, "device_add" },
	{ 0xab5b23e5, "transport_add_device" },
	{ 0xa386ef7e, "transport_configure_device" },
	{ 0x29cc4e8f, "sysfs_create_link" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0x5868ec9e, "attribute_container_register" },
	{ 0xc98cefd4, "scsi_flush_work" },
	{ 0x8fc11a8f, "bsg_remove_queue" },
	{ 0x82bb4e7a, "scsi_target_unblock" },
	{ 0x176786ef, "scsi_remove_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf802ce01, "scsi_is_target_device" },
	{ 0xbe616cc9, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x64c3b0ff, "scsi_queue_work" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe6ea10d1, "blk_mq_run_hw_queues" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc95cbd57, "bsg_job_get" },
	{ 0x340e551d, "blk_mq_end_request" },
	{ 0xa256bd50, "bsg_job_put" },
	{ 0xc0b37155, "bsg_job_done" },
	{ 0x83c2bbf3, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc0cbad03, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5a921311, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x14c8db08, "scsi_scan_target" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xf9010a62, "scsi_host_put" },
	{ 0xa533f59, "sysfs_remove_link" },
	{ 0x60157d76, "transport_remove_device" },
	{ 0x7848fec2, "device_del" },
	{ 0x194aeccc, "transport_destroy_device" },
	{ 0x2956ee32, "_dev_printk" },
	{ 0xab10e66a, "transport_class_register" },
	{ 0x6f2e9500, "transport_class_unregister" },
	{ 0x18c4d592, "scsi_nl_sock" },
	{ 0x19562170, "__alloc_skb" },
	{ 0x70446748, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0xf155af5a, "netlink_broadcast_filtered" },
	{ 0xf1f86efa, "sk_skb_reason_drop" },
	{ 0xace57d1e, "scsi_init_limits" },
	{ 0xeac281c3, "bsg_setup_queue" },
	{ 0x43bfcba2, "blk_queue_rq_timeout" },
	{ 0x48abf03b, "_dev_err" },
	{ 0xd64e8ef4, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "FD1C5C62001CAEB8AFAA692");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
