#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssb_bus_resume, "", "");
KSYMTAB_FUNC(ssb_bus_suspend, "", "");
KSYMTAB_FUNC(ssb_bus_unregister, "", "");
KSYMTAB_FUNC(ssb_bus_sdiobus_register, "", "");
KSYMTAB_FUNC(__ssb_driver_register, "", "");
KSYMTAB_FUNC(ssb_driver_unregister, "", "");
KSYMTAB_FUNC(ssb_set_devtypedata, "", "");
KSYMTAB_FUNC(ssb_clockspeed, "", "");
KSYMTAB_FUNC(ssb_device_is_enabled, "", "");
KSYMTAB_FUNC(ssb_device_enable, "", "");
KSYMTAB_FUNC(ssb_device_disable, "", "");
KSYMTAB_FUNC(ssb_dma_translation, "", "");
KSYMTAB_FUNC(ssb_bus_may_powerdown, "", "");
KSYMTAB_FUNC(ssb_bus_powerup, "", "");
KSYMTAB_FUNC(ssb_commit_settings, "", "");
KSYMTAB_FUNC(ssb_admatch_base, "", "");
KSYMTAB_FUNC(ssb_admatch_size, "", "");
KSYMTAB_FUNC(ssb_pcihost_register, "", "");
KSYMTAB_FUNC(ssb_chipco_gpio_control, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_voltage, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_paref, "", "");
KSYMTAB_FUNC(ssb_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(ssb_pcicore_dev_irqvecs_enable, "", "");

SYMBOL_CRC(ssb_bus_resume, 0x4b88765b, "");
SYMBOL_CRC(ssb_bus_suspend, 0x3b82579d, "");
SYMBOL_CRC(ssb_bus_unregister, 0xe2ffbb39, "");
SYMBOL_CRC(ssb_bus_sdiobus_register, 0x639c2f5c, "");
SYMBOL_CRC(__ssb_driver_register, 0xd3d345af, "");
SYMBOL_CRC(ssb_driver_unregister, 0x59790ec2, "");
SYMBOL_CRC(ssb_set_devtypedata, 0x5528a9ab, "");
SYMBOL_CRC(ssb_clockspeed, 0x14f0a138, "");
SYMBOL_CRC(ssb_device_is_enabled, 0x6cabdac2, "");
SYMBOL_CRC(ssb_device_enable, 0x6d5e7d1f, "");
SYMBOL_CRC(ssb_device_disable, 0x94f160a2, "");
SYMBOL_CRC(ssb_dma_translation, 0xebe27935, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0x16b65c2f, "");
SYMBOL_CRC(ssb_bus_powerup, 0x5ac898b5, "");
SYMBOL_CRC(ssb_commit_settings, 0x88a42ef1, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0xc6351e22, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0x66ccde05, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0xf776aa86, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0x4c69056e, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0x39aeca6b, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0x661df743, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x938c1285, "gpiochip_get_data" },
	{ 0xf64226ef, "bus_unregister" },
	{ 0x48abf03b, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdc578ae5, "pcmcia_request_window" },
	{ 0x38bae4b8, "pci_read_config_word" },
	{ 0x1671ab04, "sdio_readl" },
	{ 0x25e15af1, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8fd48ceb, "pcmcia_write_config_byte" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x38cc8fb9, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc4115d6c, "device_register" },
	{ 0xc03aa699, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xdf03d630, "sdio_writel" },
	{ 0xcf4cc4aa, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x10005191, "gpiochip_add_data_with_key" },
	{ 0xfbf6e509, "_dev_emerg" },
	{ 0xe2128378, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc0429201, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc14d4129, "pci_disable_device" },
	{ 0xe83d7570, "sdio_writesb" },
	{ 0x9ef16519, "pcmcia_read_config_byte" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x852c1ea0, "pcmcia_register_driver" },
	{ 0xe4562d91, "pci_write_config_word" },
	{ 0xc1dfdf69, "pcmcia_loop_tuple" },
	{ 0x9b0d39b5, "pcmcia_enable_device" },
	{ 0x3d8ae1d7, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x14e2fd03, "pci_write_config_dword" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x41800847, "device_remove_file" },
	{ 0x123627f, "bus_register" },
	{ 0xc10867f, "sdio_readb" },
	{ 0x64d6a90, "sdio_writeb" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2e4d5182, "pci_save_state" },
	{ 0x59359fc3, "sdio_release_host" },
	{ 0x7d29b024, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x874a831, "pci_enable_device" },
	{ 0xd02d0f9f, "pcmcia_disable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x67c63120, "dev_set_name" },
	{ 0xfbef0d0c, "sdio_claim_host" },
	{ 0x982a2155, "pci_iomap" },
	{ 0xf3f1f77a, "sdio_readw" },
	{ 0xcfd1b812, "device_unregister" },
	{ 0x1c415bb9, "pci_back_from_sleep" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x36828c6f, "__pci_register_driver" },
	{ 0xd8c62b05, "pcmcia_unregister_driver" },
	{ 0xf3d457d, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0xfb02b9dc, "pcmcia_map_mem_page" },
	{ 0x2c92e29e, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x653758bf, "sdio_writew" },
	{ 0x30422881, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb8f0e484, "__dynamic_dev_dbg" },
	{ 0x2604a20c, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1e41bf28, "dev_driver_string" },
	{ 0x97ef2367, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc0cbad03, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8b8061e2, "_dev_info" },
	{ 0x4d44db5, "device_create_file" },
	{ 0xc5b8c8f3, "sdio_readsb" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "pcmcia,mmc_core");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");
MODULE_ALIAS("pcmcia:m02D0c0448f*fn*pfn*pa*pb*pc*pd*");
MODULE_ALIAS("pcmcia:m02D0c0476f*fn*pfn*pa*pb*pc*pd*");

MODULE_INFO(srcversion, "54236BC607DE79873B8967A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
