#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(proc_thermal_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_remove, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_suspend, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_resume, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_remove, "_gpl", "");

SYMBOL_CRC(proc_thermal_add, 0xab3f29da, "_gpl");
SYMBOL_CRC(proc_thermal_remove, 0x78a8aa71, "_gpl");
SYMBOL_CRC(proc_thermal_suspend, 0xd13f3d60, "_gpl");
SYMBOL_CRC(proc_thermal_resume, 0x8550f508, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_add, 0x1c30cf65, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_remove, 0x213745d4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x37a0cba, "kfree" },
	{ 0x48abf03b, "_dev_err" },
	{ 0x1936331f, "intel_tcc_set_offset" },
	{ 0x6311f64b, "is_acpi_device_node" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xf897847f, "int340x_thermal_zone_add" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xf8329ff, "sysfs_create_file_ns" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xf3c5bdd5, "int340x_thermal_zone_remove" },
	{ 0xa1186518, "intel_tcc_get_tjmax" },
	{ 0x991d80aa, "sysfs_create_group" },
	{ 0xdbd21ae4, "sysfs_remove_file_ns" },
	{ 0x69a87810, "sysfs_remove_group" },
	{ 0xcfe818c2, "_dev_warn" },
	{ 0x21009cb5, "pcim_iomap_regions" },
	{ 0xcc8e092d, "pcim_iomap_table" },
	{ 0x9cb88bd6, "proc_thermal_wt_hint_add" },
	{ 0xe64c5ba6, "proc_thermal_rfim_add" },
	{ 0xc9e0a440, "proc_thermal_wt_req_add" },
	{ 0xbaccd530, "proc_thermal_rapl_add" },
	{ 0x5e9e69db, "proc_thermal_rfim_remove" },
	{ 0x98e82d4, "proc_thermal_rapl_remove" },
	{ 0x5c222f1c, "proc_thermal_wt_hint_remove" },
	{ 0x418b2410, "proc_thermal_wt_req_remove" },
	{ 0xb8f0e484, "__dynamic_dev_dbg" },
	{ 0xf0f6f1ac, "thermal_zone_device_update" },
	{ 0x84164447, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xaae5f047, "proc_thermal_power_floor_set_state" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4c33d5b, "proc_thermal_power_floor_get_state" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe20c0a47, "proc_thermal_read_power_floor_status" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8c32aa7b, "intel_tcc_get_offset" },
	{ 0xdb0da161, "intel_tcc_get_temp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "int340x_thermal_zone,processor_thermal_wt_hint,processor_thermal_rfim,processor_thermal_wt_req,processor_thermal_rapl,processor_thermal_power_floor");


MODULE_INFO(srcversion, "4F57F77F988A90C2E3E572D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
