#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_enable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_disable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_opp_config_clks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_queue_cfg_addr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0xdd027266, "_gpl");
SYMBOL_CRC(ufshcd_enable_irq, 0xe2391583, "_gpl");
SYMBOL_CRC(ufshcd_disable_irq, 0x28fccdf7, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0xa819f2b4, "_gpl");
SYMBOL_CRC(ufshcd_opp_config_clks, 0x4237cf62, "_gpl");
SYMBOL_CRC(ufshcd_hold, 0x02ead1ce, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x5a0013a9, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0xd0a5dca5, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0xcf2c3dfa, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0x878710b3, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0xfb454016, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x07420095, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0xf177391b, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0xbe126280, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0xf79f6fd6, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x809effbf, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x739eb21f, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0xaef00dda, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0xb9b8880e, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0xcf579897, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0xab6030ec, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0xc5e0cdfc, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x62e9234e, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0x406ff5ae, "");
SYMBOL_CRC(ufshcd_system_resume, 0x4cfdf975, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0x7d62facd, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0x99674d10, "");
SYMBOL_CRC(ufshcd_remove, 0x7bcb9860, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0xeca6a9ce, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x69209b18, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x974b7d58, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0xca957f28, "");
SYMBOL_CRC(ufshcd_init, 0x2ff61dca, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0xdd179157, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0xd7a18c07, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0x4f11ddcc, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0x0d8bc22f, "_gpl");
SYMBOL_CRC(ufshcd_mcq_queue_cfg_addr, 0xf73a89c3, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0xdc2c3c7a, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x421c7007, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0x9999ed50, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x53bcaa82, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x437136cb, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable, 0xd525637e, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0x0319bd2a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ad94cd1, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x29a515c1, "scsi_change_queue_depth" },
	{ 0x5bc2476b, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x41800847, "device_remove_file" },
	{ 0xc7809778, "dma_map_sg_attrs" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xd3741e92, "scsi_dma_map" },
	{ 0xbbf934c1, "scsi_print_sense_hdr" },
	{ 0x4cf8f5f7, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe79e203c, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3ad8aa1, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcb04ae64, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0xb7a9b10f, "devm_request_threaded_irq" },
	{ 0x264ccf02, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xeac281c3, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x39990431, "scsi_autopm_put_device" },
	{ 0xe753172d, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8fc11a8f, "bsg_remove_queue" },
	{ 0x67c63120, "dev_set_name" },
	{ 0xc0b37155, "bsg_job_done" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaffd1b8e, "dmam_alloc_attrs" },
	{ 0x24f8077, "trace_raw_output_prep" },
	{ 0xdc50dcd7, "scsi_remove_host" },
	{ 0x6d958fa3, "bpf_trace_run6" },
	{ 0x1104f5ba, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x72f1efb4, "__trace_trigger_soft_disabled" },
	{ 0x7c8ff880, "blk_pm_runtime_init" },
	{ 0xcda325ce, "trace_event_printf" },
	{ 0x3bfac64a, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc41895dd, "sysfs_remove_groups" },
	{ 0x600133e8, "hwmon_notify_event" },
	{ 0x18b88130, "pm_runtime_get_if_active" },
	{ 0x5bb27316, "dev_pm_opp_find_freq_floor_indexed" },
	{ 0xcf2a6966, "up" },
	{ 0x5fc8529d, "device_initialize" },
	{ 0xc1def061, "devfreq_recommended_opp" },
	{ 0x6bbfc25d, "sysfs_create_groups" },
	{ 0xa9e4fb14, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x111cf2d8, "scsi_dma_unmap" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xfbd0f31, "pcpu_hot" },
	{ 0x239c6232, "seq_lseek" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x25c8b734, "bpf_trace_run2" },
	{ 0xfded6359, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x30422881, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb8f0e484, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa9e42b93, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf3fcff13, "blk_mq_alloc_tag_set" },
	{ 0xf19b592d, "scsi_device_set_state" },
	{ 0x6a1187e1, "devfreq_add_device" },
	{ 0x1e41bf28, "dev_driver_string" },
	{ 0xbe04146f, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3abf0f7, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe8fd009f, "blk_crypto_register" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4743038a, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc0cbad03, "put_device" },
	{ 0x27a122f8, "blk_mq_unquiesce_tagset" },
	{ 0x520b618e, "dev_pm_opp_put" },
	{ 0x69ad3610, "blk_mq_free_request" },
	{ 0x3e660fcb, "device_property_read_u32_array" },
	{ 0xb025364f, "devm_regulator_get" },
	{ 0x3947c78d, "dev_pm_opp_get_freq_indexed" },
	{ 0x8b8061e2, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x2acc16d6, "scsi_device_put" },
	{ 0x4d44db5, "device_create_file" },
	{ 0xa3a9c45d, "blk_mq_quiesce_tagset" },
	{ 0x66c97073, "debugfs_attr_read" },
	{ 0xf5f8a5aa, "regulator_set_load" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x73b56def, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x3ab1caa3, "devm_kfree" },
	{ 0x48abf03b, "_dev_err" },
	{ 0x8884139f, "devfreq_remove_device" },
	{ 0xf9010a62, "scsi_host_put" },
	{ 0xce807a25, "up_write" },
	{ 0x4102d826, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x5eb24e6d, "simple_attr_release" },
	{ 0x4cfb5a05, "hwmon_device_register_with_info" },
	{ 0xd2fc3bde, "dev_pm_opp_add_dynamic" },
	{ 0x6626afca, "down" },
	{ 0xac233e34, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2cde3215, "dev_pm_opp_remove" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37169f79, "cpu_latency_qos_update_request" },
	{ 0xdb1ef642, "sdev_prefix_printk" },
	{ 0x779511b5, "scsi_scan_host" },
	{ 0x172ae672, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1439dff, "trace_event_reg" },
	{ 0xfeaacc38, "device_link_remove" },
	{ 0xc9ec61de, "blk_mq_alloc_request" },
	{ 0x25e15af1, "driver_unregister" },
	{ 0xf17d13ad, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x43bae88e, "blk_put_queue" },
	{ 0x7848fec2, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xa714faee, "dev_pm_opp_set_opp" },
	{ 0xf8ecaf07, "dmam_free_coherent" },
	{ 0xfb578fc5, "memset" },
	{ 0xcfe818c2, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xb2421eab, "regulator_count_voltages" },
	{ 0xd64e8ef4, "scsi_is_host_device" },
	{ 0xe39f1b6a, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x106d4cf2, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2f2ba35, "bpf_trace_run10" },
	{ 0x35a02a29, "scsi_host_busy" },
	{ 0x8b865b46, "scsi_device_quiesce" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x680ddb75, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbc98d103, "dma_set_coherent_mask" },
	{ 0x8202e3bc, "scsi_print_command" },
	{ 0xa719d826, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x325651f9, "__scsi_register_driver" },
	{ 0x3ae01f3a, "pm_runtime_forbid" },
	{ 0xa80e4eb0, "debugfs_create_file" },
	{ 0xe211ea0b, "param_set_uint_minmax" },
	{ 0x5b84f96d, "blk_mq_freeze_queue" },
	{ 0xbadf5d7b, "pm_runtime_allow" },
	{ 0x5d50acd3, "trace_event_buffer_reserve" },
	{ 0xa352bc61, "__pm_runtime_resume" },
	{ 0x98bf087d, "devfreq_suspend_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf7b05dd3, "param_ops_bool" },
	{ 0x6ebc3742, "blk_mq_destroy_queue" },
	{ 0xd817db3, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd0ab5194, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xc0fd7bc6, "devm_blk_crypto_profile_init" },
	{ 0x70e0123b, "hwmon_device_unregister" },
	{ 0x6cb76d53, "blk_mq_unfreeze_queue" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xc4f6e579, "blk_mq_tagset_busy_iter" },
	{ 0x1860a055, "scsi_done" },
	{ 0xfc79eb12, "single_release" },
	{ 0x30f4cc99, "scsi_unblock_requests" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x560f9a58, "dma_set_mask" },
	{ 0x233622c7, "sbitmap_weight" },
	{ 0xa9c60e83, "regulator_disable" },
	{ 0x47153967, "dev_err_probe" },
	{ 0xd9042286, "dma_unmap_sg_attrs" },
	{ 0x8b72fb27, "__devm_add_action" },
	{ 0x201e7c18, "scsi_remove_device" },
	{ 0xad6e39fb, "scsi_block_requests" },
	{ 0xcc03a8f, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x665bbd8, "single_open" },
	{ 0x59049555, "scsi_host_alloc" },
	{ 0x976cf2f8, "__scsi_add_device" },
	{ 0x463ab0bf, "devfreq_resume_device" },
	{ 0xce693ee4, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "4983569F7EAD73BDA9454CF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
