#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tcpm_pd_transmit_complete, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_receive, "_gpl", "");
KSYMTAB_FUNC(tcpm_cc_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_vbus_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_hard_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_sink_frs, "_gpl", "");
KSYMTAB_FUNC(tcpm_sourcing_vbus, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_clean, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_is_toggling, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_error_recovery, "_gpl", "");
KSYMTAB_FUNC(tcpm_tcpc_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_register_port, "_gpl", "");
KSYMTAB_FUNC(tcpm_unregister_port, "_gpl", "");

SYMBOL_CRC(tcpm_pd_transmit_complete, 0x3b84657b, "_gpl");
SYMBOL_CRC(tcpm_pd_receive, 0x402a76b1, "_gpl");
SYMBOL_CRC(tcpm_cc_change, 0xc37b9769, "_gpl");
SYMBOL_CRC(tcpm_vbus_change, 0xceb50012, "_gpl");
SYMBOL_CRC(tcpm_pd_hard_reset, 0x9e0bd753, "_gpl");
SYMBOL_CRC(tcpm_sink_frs, 0x10ec6d2d, "_gpl");
SYMBOL_CRC(tcpm_sourcing_vbus, 0xeb779665, "_gpl");
SYMBOL_CRC(tcpm_port_clean, 0xd680581d, "_gpl");
SYMBOL_CRC(tcpm_port_is_toggling, 0xda86a83d, "_gpl");
SYMBOL_CRC(tcpm_port_error_recovery, 0x8512bd2a, "_gpl");
SYMBOL_CRC(tcpm_tcpc_reset, 0xea220941, "_gpl");
SYMBOL_CRC(tcpm_register_port, 0x9b0d5b39, "_gpl");
SYMBOL_CRC(tcpm_unregister_port, 0x76eeda4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7079e08a, "typec_unregister_port" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x172ae672, "debugfs_remove" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7e642c2c, "typec_port_set_usb_power_delivery" },
	{ 0x1b3b9e77, "typec_match_altmode" },
	{ 0x7426614c, "typec_altmode_vdm" },
	{ 0x708ae49c, "usb_power_delivery_register_capabilities" },
	{ 0xe2fb5597, "typec_altmode_update_active" },
	{ 0x3b0e92a8, "usb_power_delivery_register" },
	{ 0xd2f919f8, "typec_cable_altmode_vdm" },
	{ 0x1c34c73a, "typec_cable_set_svdm_version" },
	{ 0x76dec118, "typec_altmode_notify" },
	{ 0xba001871, "typec_altmode_attention" },
	{ 0xaa2066c6, "typec_partner_set_identity" },
	{ 0x97989361, "typec_partner_set_svdm_version" },
	{ 0xfe6aa5ed, "typec_plug_set_num_altmodes" },
	{ 0x5b42cd0, "typec_plug_register_altmode" },
	{ 0x43bcd96e, "typec_register_plug" },
	{ 0x20bdac2b, "typec_register_cable" },
	{ 0xe3010137, "typec_cable_set_identity" },
	{ 0x968deb2a, "typec_cable_is_active" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0x81c4bcce, "kthread_create_worker" },
	{ 0xc2ad3bf3, "sched_set_fifo" },
	{ 0xea82d349, "hrtimer_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2764e079, "fw_devlink_purge_absent_suppliers" },
	{ 0x71f05035, "typec_get_fw_cap" },
	{ 0x7e543776, "fwnode_property_present" },
	{ 0x28a89ba1, "fwnode_get_named_child_node" },
	{ 0xca1f93e5, "fwnode_get_next_child_node" },
	{ 0x6fe32044, "fwnode_property_read_u32_array" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x949c5507, "fwnode_property_read_string" },
	{ 0xf1234a8b, "typec_find_pwr_opmode" },
	{ 0xd94ec5c1, "usb_role_switch_get" },
	{ 0x754d539c, "strlen" },
	{ 0x4b23ee35, "__dev_fwnode" },
	{ 0xd025d700, "devm_power_supply_register" },
	{ 0x87443d88, "fwnode_usb_role_switch_get" },
	{ 0x4d5f328f, "typec_register_port" },
	{ 0x15adf3e, "typec_port_register_altmodes" },
	{ 0x3e3c78, "typec_port_register_cable_ops" },
	{ 0x23ff9391, "typec_set_pwr_opmode" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x239c6232, "seq_lseek" },
	{ 0xa719d826, "seq_read" },
	{ 0xfc79eb12, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3253482, "kthread_queue_work" },
	{ 0xc4bce847, "typec_unregister_altmode" },
	{ 0x22ca848b, "typec_get_drvdata" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x72786533, "typec_register_partner" },
	{ 0x90a8f37a, "typec_partner_set_usb_power_delivery" },
	{ 0x48abf03b, "_dev_err" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5024c883, "usb_debug_root" },
	{ 0xce693ee4, "debugfs_create_dir" },
	{ 0xa80e4eb0, "debugfs_create_file" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x665bbd8, "single_open" },
	{ 0x90c28d79, "seq_printf" },
	{ 0xa8a6baa6, "usb_power_delivery_unregister_capabilities" },
	{ 0x3ab1caa3, "devm_kfree" },
	{ 0xe7f8df2c, "usb_power_delivery_unregister" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x148653, "vsnprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0xcfe818c2, "_dev_warn" },
	{ 0x5d564933, "power_supply_get_drvdata" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x69acdf38, "memcpy" },
	{ 0x102fe6de, "hrtimer_cancel" },
	{ 0xc0b7c197, "hrtimer_start_range_ns" },
	{ 0x56470118, "__warn_printk" },
	{ 0x23a0fca0, "typec_get_negotiated_svdm_version" },
	{ 0x9fa1873f, "typec_get_cable_svdm_version" },
	{ 0xa6257a2f, "complete" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1f514278, "typec_partner_register_altmode" },
	{ 0xae5e1c75, "typec_set_orientation" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xe0b107c6, "typec_set_mode" },
	{ 0xd2c88792, "typec_set_data_role" },
	{ 0x80f1b7fa, "typec_set_pwr_role" },
	{ 0x91e124be, "typec_set_vconn_role" },
	{ 0x93e2fdc1, "power_supply_changed" },
	{ 0xe6d134c2, "typec_unregister_plug" },
	{ 0x509129e0, "typec_unregister_cable" },
	{ 0x72c357a5, "typec_unregister_partner" },
	{ 0x4e3d40dc, "kthread_destroy_worker" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "76C05F1152BAD3F1E747869");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
