#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x73cc985f, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0xea13fcd9, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xb1a4ec25, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x3d49fc37, "_gpl");
SYMBOL_CRC(fuse_abort_conn, 0xb7f7c76c, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x16895b4c, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x05a7dbff, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x55dde85b, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0xbb6f4e1a, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x12f0331d, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x06320395, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xc9a9fb70, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x7eee69d3, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0xdf518195, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x8a5a9cec, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0xdbcfb8ff, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x2bcadd4b, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x5fb07e0f, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x9624b7f9, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xdf3a4655, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x03d7d425, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x44de7774, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0xb3edd066, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x426fc2b9, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xb9304f02, "");
SYMBOL_CRC(fuse_do_ioctl, 0x450b218e, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x813d05e4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x2afe0b40, "iov_iter_extract_pages" },
	{ 0xe3ee5b0c, "backing_file_write_iter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9035d11, "copy_page_from_iter_atomic" },
	{ 0xe7aa36d1, "fs_param_is_gid" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x39fe5533, "fs_context_for_submount" },
	{ 0x53c76afc, "inode_init_once" },
	{ 0x23c2cb31, "file_write_and_wait_range" },
	{ 0x5dc2485b, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xcf14c9ab, "nosteal_pipe_buf_ops" },
	{ 0x2e0d059, "ilookup5" },
	{ 0x7969d856, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5b95ac57, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x32e6989d, "release_pages" },
	{ 0x714f5db7, "page_get_link_raw" },
	{ 0x73b56def, "perf_trace_run_bpf_submit" },
	{ 0xee1fa251, "generic_file_direct_write" },
	{ 0x73a62b1f, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xe80dc32a, "generic_file_read_iter" },
	{ 0x79af4c82, "inode_maybe_inc_iversion" },
	{ 0x1a68bf1a, "unlock_page" },
	{ 0x68e74455, "inc_node_page_state" },
	{ 0xea5e8ab2, "thp_get_unmapped_area" },
	{ 0xa07a37f0, "memchr" },
	{ 0x62b555d1, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xed132ae7, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x1c57b860, "backing_file_splice_read" },
	{ 0x6d278497, "dec_node_page_state" },
	{ 0x954f099c, "idr_preload" },
	{ 0xdc5964cb, "write_cache_pages" },
	{ 0x13f2d995, "file_update_time" },
	{ 0x2104a024, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x23e305ee, "kmem_cache_alloc_lru_noprof" },
	{ 0xc42e58f2, "kmem_cache_free" },
	{ 0x5abbd9d0, "fget_raw" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x8ed91a09, "from_kgid" },
	{ 0x7b686725, "fasync_helper" },
	{ 0x1439dff, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xbcacf75f, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4a733c40, "from_vfsgid" },
	{ 0x10f72ffd, "write_inode_now" },
	{ 0x67d16f9a, "dax_writeback_mapping_range" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xea3351eb, "d_obtain_alias" },
	{ 0xa725724e, "file_modified" },
	{ 0x3bb7afa6, "copy_page_to_iter" },
	{ 0xbdc9a01, "__put_devmap_managed_folio_refs" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69eef71c, "folio_end_read" },
	{ 0x72f9068c, "finish_no_open" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xa681dbf0, "__folio_start_writeback" },
	{ 0x8a305d9e, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xfcecedae, "kill_litter_super" },
	{ 0x427593e5, "folio_end_writeback" },
	{ 0x576131aa, "folio_alloc_noprof" },
	{ 0x805ca978, "from_kuid" },
	{ 0xd9e4fa4f, "current_in_userns" },
	{ 0x5975e5bf, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0xfd222555, "sysfs_remove_mount_point" },
	{ 0x7961fe3d, "misc_register" },
	{ 0x8a613920, "unpin_user_page" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x79e47a38, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf21772b8, "in_group_or_capable" },
	{ 0x69706c1c, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x916dc10f, "d_delete" },
	{ 0xb0a1de1f, "__kmem_cache_create_args" },
	{ 0x73dfe30, "from_kgid_munged" },
	{ 0xe18cbfea, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x6f262eb6, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0x58d1c8ce, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x495d7c1a, "nonseekable_open" },
	{ 0x8c10d3eb, "dax_finish_sync_fault" },
	{ 0xb9048c4e, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x117a1617, "backing_file_read_iter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x90b8f6f0, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7230beea, "fdget" },
	{ 0x1d665b6d, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x69480b2c, "generic_read_dir" },
	{ 0x5d50acd3, "trace_event_buffer_reserve" },
	{ 0xb0b11d21, "d_add" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf7b05dd3, "param_ops_bool" },
	{ 0xeffe66c2, "init_user_ns" },
	{ 0x78800225, "folio_copy" },
	{ 0xc0e951ec, "d_find_alias" },
	{ 0x488e9918, "invalidate_inode_pages2" },
	{ 0x7419d702, "inode_set_ctime_current" },
	{ 0x32b7e262, "inc_nlink" },
	{ 0x554475ca, "seq_write" },
	{ 0x92a7cf24, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6fa879c7, "get_tree_bdev" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0x15ee0282, "set_anon_super_fc" },
	{ 0x90c28d79, "seq_printf" },
	{ 0x52317804, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7b4a5afb, "generic_delete_inode" },
	{ 0x926736db, "deactivate_locked_super" },
	{ 0xcce82e1a, "touch_atime" },
	{ 0x7b716824, "__percpu_down_read" },
	{ 0x4147e9a1, "__d_lookup_unhash_wake" },
	{ 0x48dfdd26, "set_page_dirty_lock" },
	{ 0x875022b3, "pid_nr_ns" },
	{ 0xc622616a, "generic_file_open" },
	{ 0x7c82f5f3, "truncate_inode_pages_range" },
	{ 0x6efbf8a, "__put_user_ns" },
	{ 0x3d5f044c, "alloc_pages_noprof" },
	{ 0x648b9c89, "__folio_lock" },
	{ 0xe27ba8c7, "filemap_dirty_folio" },
	{ 0xdd367c5b, "pagecache_get_page" },
	{ 0x36340de1, "stream_open" },
	{ 0x4fdf6e25, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb8273d0b, "__wake_up_sync" },
	{ 0xfbb44847, "add_to_pipe" },
	{ 0x6cc6ebb7, "__fs_parse" },
	{ 0x8fb3c5ff, "dax_layout_busy_page_range" },
	{ 0xac3c9d03, "filemap_splice_read" },
	{ 0x1b827b9c, "posix_acl_to_xattr" },
	{ 0x73296eaa, "dget_parent" },
	{ 0xe6ed162e, "kill_anon_super" },
	{ 0x462268cf, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x146da02b, "iget5_locked" },
	{ 0x21263473, "security_dentry_init_security" },
	{ 0xecd0d12f, "filemap_write_and_wait_range" },
	{ 0x7efe01b9, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xaa6ae511, "generic_write_checks" },
	{ 0x511c70b0, "iov_iter_revert" },
	{ 0x60c4ac74, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x88762335, "mntget" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x613fbd23, "filemap_fault" },
	{ 0x48a27fae, "d_invalidate" },
	{ 0xbdee6bab, "__mark_inode_dirty" },
	{ 0xf7284c6a, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x25b6536, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xb414a2b1, "drop_nlink" },
	{ 0x1e7586c1, "fault_in_iov_iter_readable" },
	{ 0xebe442c0, "filemap_check_errors" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x1dbaa9c5, "fs_param_is_uid" },
	{ 0xfbd1ea23, "bdi_set_max_ratio" },
	{ 0x2d0c78b4, "kmem_cache_destroy" },
	{ 0x327d8d22, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xcbf1f27e, "super_setup_bdi_name" },
	{ 0xa983e321, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x79eae537, "truncate_inode_pages" },
	{ 0xdd96ab35, "noop_backing_dev_info" },
	{ 0xbf2d178c, "pipe_lock" },
	{ 0x29886313, "generic_fillattr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xca37094c, "vfs_fsync_range" },
	{ 0x23f18cdd, "setattr_prepare" },
	{ 0x9c8527c6, "filemap_migrate_folio" },
	{ 0x45e510d6, "clear_nlink" },
	{ 0x2bc71bcb, "file_check_and_advance_wb_err" },
	{ 0xef86a3c4, "d_alloc_parallel" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x8409d1e8, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x521e58b0, "misc_deregister" },
	{ 0x99bade71, "make_vfsgid" },
	{ 0x10b61e26, "clear_inode" },
	{ 0x83c91531, "inode_to_bdi" },
	{ 0x82690af0, "find_pid_ns" },
	{ 0x20978fb9, "idr_find" },
	{ 0x58962ff3, "invalid_mnt_idmap" },
	{ 0x1096c436, "grab_cache_page_write_begin" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x96f00656, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x154c1681, "pipe_unlock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbaebbafe, "fs_param_is_string" },
	{ 0x67be3539, "folio_unlock" },
	{ 0x4e2c639c, "new_inode" },
	{ 0x2d502828, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0x813569ae, "dump_page" },
	{ 0x24f8077, "trace_raw_output_prep" },
	{ 0xc3f1c2a9, "forget_all_cached_acls" },
	{ 0x746d00fa, "init_special_inode" },
	{ 0x25e66c48, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd21a7b88, "task_active_pid_ns" },
	{ 0x34739afd, "iov_iter_single_seg_count" },
	{ 0x75e51eb7, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x3acda1cd, "filemap_fdatawrite_range" },
	{ 0x72f1efb4, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd6ea0b0f, "d_alloc_name" },
	{ 0x978725b3, "replace_page_cache_folio" },
	{ 0xf6d7dc9a, "inode_query_iversion" },
	{ 0x1528846d, "iov_iter_advance" },
	{ 0x3e79b052, "kill_fasync" },
	{ 0x6d63f141, "d_make_root" },
	{ 0xcda325ce, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x17b6747d, "backing_file_splice_write" },
	{ 0x60cc726f, "sb_set_blocksize" },
	{ 0x61be926d, "fget" },
	{ 0x7784878f, "simple_fill_super" },
	{ 0x23967b1, "xas_find" },
	{ 0x2f6285d5, "sync_filesystem" },
	{ 0x695bc1db, "noop_dirty_folio" },
	{ 0xf5605fa9, "sget_fc" },
	{ 0x4743fe51, "param_set_uint" },
	{ 0xfea42de6, "d_splice_alias" },
	{ 0x8f86a5e9, "iov_iter_get_pages2" },
	{ 0x358a35f1, "direct_write_fallback" },
	{ 0xa9e4fb14, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x58dd8559, "from_vfsuid" },
	{ 0xbe38ad42, "generic_permission" },
	{ 0x3b18157c, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xe6cb4910, "invalidate_inode_pages2_range" },
	{ 0x42902a79, "posix_lock_file" },
	{ 0xaa71e606, "finish_open" },
	{ 0xe0a4d610, "dax_iomap_rw" },
	{ 0x5de7fcf9, "iput" },
	{ 0xfbd0f31, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xf1dc7343, "logfc" },
	{ 0x762cca24, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xa833cd29, "init_pid_ns" },
	{ 0x32ec6299, "dax_iomap_fault" },
	{ 0x52964c2d, "iov_iter_init" },
	{ 0xcd72a60f, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x2b21dffa, "sysfs_create_mount_point" },
	{ 0x4821f859, "generic_file_write_iter" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe6703638, "register_filesystem" },
	{ 0x297516c7, "folio_add_lru" },
	{ 0x989220f3, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5705705d, "sync_inode_metadata" },
	{ 0xdfac5591, "simple_empty" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xa05674b6, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4f537980, "shrink_dcache_parent" },
	{ 0x882dabca, "make_vfsuid" },
	{ 0x94b78230, "__put_cred" },
	{ 0x7cf99a37, "backing_file_open" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x4e709b7e, "get_tree_nodev" },
	{ 0xc9a43c89, "splice_file_range" },
	{ 0xbe04146f, "trace_event_buffer_commit" },
	{ 0x15f734c, "simple_inode_init_ts" },
	{ 0xfb5a2c67, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x42bc36d, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x9070f871, "fs_param_is_u32" },
	{ 0x53bec26a, "inode_newsize_ok" },
	{ 0xdc40116e, "d_drop" },
	{ 0xfa564209, "kill_block_super" },
	{ 0x2f7ff714, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ff618fb, "bdi_put" },
	{ 0x735ab3fe, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x4743038a, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3b2d0efc, "make_kuid" },
	{ 0x8cbdaa57, "truncate_inode_pages_final" },
	{ 0x85099f5, "fs_kobj" },
	{ 0x7eb844df, "__filemap_set_wb_err" },
	{ 0x8befa5ad, "simple_dir_operations" },
	{ 0x945b566b, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xaa025080, "backing_file_mmap" },
	{ 0x7d46053d, "__filemap_get_folio" },
	{ 0xea5223b5, "const_pcpu_hot" },
	{ 0x8d66e1f8, "__free_pages" },
	{ 0xabc37e80, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x780336cc, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x6e1527a3, "setattr_should_drop_suidgid" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CA06A5B82B520726DB88642");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
