#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x1b6fb0c2, "_gpl");
SYMBOL_CRC(dccp_req_err, 0x9572cf33, "");
SYMBOL_CRC(dccp_v4_send_check, 0xf0ef2df3, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x215a78f5, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x825f379b, "");
SYMBOL_CRC(dccp_v4_conn_request, 0x15365e7c, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x6d78814d, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0xc5a3d706, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x780c5e2a, "dccp_reqsk_send_ack" },
	{ 0xb4ab13e7, "inet_lookup_reuseport" },
	{ 0xfddb8c77, "__inet_lookup_listener" },
	{ 0xec8c2e97, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0x17a80aed, "__skb_ext_del" },
	{ 0x55c89901, "sock_common_getsockopt" },
	{ 0xde70935d, "inet_bind" },
	{ 0xc3477e09, "__inet_inherit_port" },
	{ 0xee6fab20, "inet_dccp_listen" },
	{ 0x6b26a3b2, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x571d0d38, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xfbd0f31, "pcpu_hot" },
	{ 0x843e4779, "__xfrm_policy_check" },
	{ 0x328d45d5, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe106c7b4, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x6088126b, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x45714bea, "sk_error_report" },
	{ 0xd9027530, "register_pernet_subsys" },
	{ 0xa44ced07, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x2c1e40c8, "inet_getname" },
	{ 0x9f6e90c0, "inet_stream_connect" },
	{ 0x564cbd3d, "proto_unregister" },
	{ 0x83236d8e, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa0516207, "inet_ehashfn" },
	{ 0xf87b0872, "inet_twsk_purge" },
	{ 0xfe692bb3, "dccp_done" },
	{ 0x4473a7a5, "inet_release" },
	{ 0x261a54e8, "__sk_dst_check" },
	{ 0x9e9350c6, "dccp_disconnect" },
	{ 0x6f497740, "ip_route_output_key_hash" },
	{ 0x4bfc0435, "proto_register" },
	{ 0x7303fac, "inet_hash" },
	{ 0xbac602fd, "__sk_receive_skb" },
	{ 0xca62281d, "dccp_poll" },
	{ 0xe36cba39, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0x1054f364, "inet_csk_get_port" },
	{ 0x67ed4d5e, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0xc6ffd72b, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0xa57fc123, "inet_accept" },
	{ 0x67847f8c, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbb2397b8, "ip6_mtu" },
	{ 0xf1f86efa, "sk_skb_reason_drop" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0x38c1ffe, "inet_add_protocol" },
	{ 0x32da891e, "inet_shutdown" },
	{ 0x46a8af9, "sk_free" },
	{ 0x4b80fc7a, "dccp_close" },
	{ 0x3de2f64e, "dccp_reqsk_init" },
	{ 0x35487241, "inet_hash_connect" },
	{ 0xc42e58f2, "kmem_cache_free" },
	{ 0xfb185be6, "inet_csk_route_child_sock" },
	{ 0xb57d4f1d, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5515dc5, "security_sk_classify_flow" },
	{ 0xb70fc49, "inet_csk_update_pmtu" },
	{ 0xd797278f, "dccp_getsockopt" },
	{ 0x100e84d, "dccp_parse_options" },
	{ 0x75c5b278, "unregister_pernet_subsys" },
	{ 0xc2aed9d0, "skb_checksum" },
	{ 0xd6998240, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbca13990, "sock_no_mmap" },
	{ 0x58d984fa, "__pskb_pull_tail" },
	{ 0xf0afb98d, "dccp_child_process" },
	{ 0x9ec5e40c, "sock_common_recvmsg" },
	{ 0xcccf2ab3, "dccp_setsockopt" },
	{ 0x768b7e40, "dccp_ioctl" },
	{ 0xbea156dc, "inet_sk_rebuild_header" },
	{ 0x36fc7aa6, "inet_del_protocol" },
	{ 0xb716e7c1, "ipv4_mtu" },
	{ 0x16ea73b4, "dccp_recvmsg" },
	{ 0x3aa80181, "inet_sendmsg" },
	{ 0x1ce069d0, "dccp_check_req" },
	{ 0xe05727c, "dccp_create_openreq_child" },
	{ 0x61140a26, "inet_csk_prepare_forced_close" },
	{ 0xe7bc7c4, "security_skb_classify_flow" },
	{ 0x777c7ef5, "sock_pfree" },
	{ 0x1a86ea5d, "dccp_rcv_established" },
	{ 0x5d43d941, "dccp_send_sync" },
	{ 0x5954d8b, "dst_release" },
	{ 0x8698b1dc, "sock_release" },
	{ 0xae3eb09b, "dccp_make_response" },
	{ 0x86fea639, "dccp_destroy_sock" },
	{ 0xa1791dee, "dccp_ctl_make_reset" },
	{ 0xe00e37ed, "sock_gettstamp" },
	{ 0x74741c9c, "sk_setup_caps" },
	{ 0x3421fd6e, "ip_build_and_send_pkt" },
	{ 0xb1e29f2a, "dccp_sendmsg" },
	{ 0xe709d82e, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0xf61de884, "inet_twsk_put" },
	{ 0x1b86f35b, "inet_unhash" },
	{ 0x8c7781f4, "ip_getsockopt" },
	{ 0x1949e9e5, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8b095a4a, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x9bf11327, "inet_csk_reqsk_queue_drop" },
	{ 0xcb91b0d7, "__inet_lookup_established" },
	{ 0x18df37e2, "inet_bhash2_reset_saddr" },
	{ 0x53bc0b78, "inet_csk_addr2sockaddr" },
	{ 0xc2f2b3cb, "inet_unregister_protosw" },
	{ 0xb1aa128, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x751b844e, "dccp_shutdown" },
	{ 0xd6bb7a92, "inet_bhash2_update_saddr" },
	{ 0x579d21b3, "dccp_connect" },
	{ 0x827eab6a, "dccp_rcv_state_process" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "67349EA39CB2AF9FCC07215");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
