#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x020f13d6, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0x54b2840a, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x57167767, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x74bb7c5d, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x4c95a906, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0xed00797f, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0xf13320b0, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0xe0afda6d, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x64204eac, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x7f835b87, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xfca8744d, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x6e8541d3, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x3d1cf4b9, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x061d1e97, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x16c0d814, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xf7d777a0, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0xd304ba4f, "");
SYMBOL_CRC(ip_tunnel_init_net, 0xb783b52f, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x6923a822, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x23b4d871, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x47b5126a, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x600a271c, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0xb884e9b8, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x193d81d0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x324e823d, "iptun_encaps" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x754d539c, "strlen" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf1b01b05, "alloc_netdev_mqs" },
	{ 0xb5e98dee, "register_netdevice" },
	{ 0xe9bb4f87, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd11b5e20, "unregister_netdevice_queue" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x21f7c67b, "gro_cells_init" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe106c7b4, "ip_route_output_flow" },
	{ 0x5954d8b, "dst_release" },
	{ 0x275f64ef, "__dev_get_by_index" },
	{ 0x42777002, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x1715c770, "dev_addr_mod" },
	{ 0x4395566, "netdev_state_change" },
	{ 0xc4f96ab0, "ns_capable" },
	{ 0x35518e8a, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x422c1305, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbb2397b8, "ip6_mtu" },
	{ 0x7726278c, "icmpv6_ndo_send" },
	{ 0x2a691b2e, "icmp_ndo_send" },
	{ 0xb716e7c1, "ipv4_mtu" },
	{ 0xf1f86efa, "sk_skb_reason_drop" },
	{ 0xe96122aa, "dst_cache_get_ip4" },
	{ 0x7dcf457, "dst_cache_set_ip4" },
	{ 0x3fa74dc2, "iptunnel_xmit" },
	{ 0x7dbbfaa1, "__skb_get_hash_net" },
	{ 0xaf51b509, "skb_copy_bits" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb21c07ad, "pskb_expand_head" },
	{ 0x3d05536b, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x58d984fa, "__pskb_pull_tail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1dd0a68a, "skb_scrub_packet" },
	{ 0x87472ca1, "gro_cells_receive" },
	{ 0x74d0fa9c, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4B5C7FB22D4262CC96E6EF7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
