#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_pending, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_chandef, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(cfg80211_radio_chandef_valid, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_iter_rnr, "_gpl", "");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(cfg80211_wext_siwscan, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwscan, "_gpl", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_primary, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_check_beaconing, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwname, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrange, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwretry, "_gpl", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x4051c7ff, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0x44c76e8e, "");
SYMBOL_CRC(wiphy_register, 0x001b63ef, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0xa52c4118, "");
SYMBOL_CRC(wiphy_unregister, 0x3c8784e8, "");
SYMBOL_CRC(wiphy_free, 0xe47e955e, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0x8530d960, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0x21c4fd72, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x13fcf939, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0x8a052ec7, "");
SYMBOL_CRC(wiphy_work_queue, 0x6b3198d2, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0xcf03ee55, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0x981251dc, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0x85de3f6f, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0x491a425d, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0x9df7b11b, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0x064fdae5, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_pending, 0x1aa0976b, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0xb3f40e25, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x57e81fc4, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0x8dbc3770, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0x8f1fc521, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0xb60bbe68, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0x66094cd5, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0x817be680, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0x5798323a, "");
SYMBOL_CRC(cfg80211_classify8021d, 0x6a877b98, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x5cba2be4, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_fragment_element, 0x58ab1cd4, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_operating_class_to_chandef, 0x345fa8cc, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xefab0596, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0x978b423f, "");
SYMBOL_CRC(cfg80211_check_combinations, 0x08301a42, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0xb49ef0ad, "");
SYMBOL_CRC(cfg80211_get_station, 0xce760a2c, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0x7e756a53, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0x67cbdb6c, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0x0ea3e453, "");
SYMBOL_CRC(cfg80211_radio_chandef_valid, 0x53382dce, "");
SYMBOL_CRC(get_wiphy_regdom, 0x45b847e2, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0xf6c93936, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0x12c5cea0, "");
SYMBOL_CRC(regulatory_hint, 0xc9ff735b, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0x6e206616, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0xd261a17d, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0xc5dc294b, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_iter_rnr, 0x646c544c, "_gpl");
SYMBOL_CRC(cfg80211_scan_done, 0xda4de080, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0x5a146074, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0x5248189f, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0x578e3d89, "");
SYMBOL_CRC(cfg80211_bss_flush, 0x358f0936, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0xed9be359, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0x4e81e6ca, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0x4c58c239, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x3c945815, "");
SYMBOL_CRC(cfg80211_put_bss, 0x3d628e9d, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0x35d0689d, "");
SYMBOL_CRC(cfg80211_bss_iter, 0xeec2fbd9, "");
SYMBOL_CRC(cfg80211_wext_siwscan, 0xae1e7963, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwscan, 0xb8931554, "_gpl");
SYMBOL_CRC(nl80211_send_chandef, 0x30103317, "");
SYMBOL_CRC(cfg80211_check_station_change, 0x19a4fd61, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0xb8192a15, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0xc39c33bd, "");
SYMBOL_CRC(cfg80211_nan_match, 0xed7ebaef, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0x922d0098, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0x9050d773, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0x5298dcbc, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0xf3ee66a1, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0xf5ecf609, "");
SYMBOL_CRC(cfg80211_links_removed, 0x73f1773d, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0xb98c5eba, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0xbf58c0b5, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0xdc27a821, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x59da105f, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0x63488afa, "");
SYMBOL_CRC(cfg80211_new_sta, 0x3f75e7c7, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0xa2fd5861, "");
SYMBOL_CRC(cfg80211_conn_failed, 0x9b9b90d6, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0x54c01c5e, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0x71f88096, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0xd929b5ba, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0xf4072bc2, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0xbd1c6afd, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0x2d06e1b4, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0xd0fd0112, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0x5e15b068, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x6d1e1e1e, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0x30e284d8, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0x98cb5901, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0xcab4806b, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x37aeea45, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0x0516f7d5, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0xd44c99fe, "");
SYMBOL_CRC(cfg80211_probe_status, 0xf731a021, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0xe0bf4bc1, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0x5f43fff3, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0x3577da53, "");
SYMBOL_CRC(cfg80211_ft_event, 0x24e04190, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0xb92f9468, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0x670bb93f, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0x6e06c5b4, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0x69c79b45, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0x2a0d468f, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0xdd6c2f16, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0xa6c9de74, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0xfff149d4, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0x2ca3d24a, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0xc7f8a072, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0xf7d3c85d, "");
SYMBOL_CRC(__cfg80211_radar_event, 0xd4a4c8ba, "");
SYMBOL_CRC(cfg80211_cac_event, 0x0673c68d, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0x51730ef0, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0xf42b2f25, "");
SYMBOL_CRC(cfg80211_connect_done, 0x1c5104e2, "");
SYMBOL_CRC(cfg80211_roamed, 0x6f94d72c, "");
SYMBOL_CRC(cfg80211_port_authorized, 0x2722d29a, "");
SYMBOL_CRC(cfg80211_disconnected, 0xa0338e0a, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x23026b4b, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x538f32f2, "");
SYMBOL_CRC(cfg80211_chandef_primary, 0x9ce5d166, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xf7be8ee8, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0xf4bd1681, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0x944f422b, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0xf7a2c924, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0xd7405eca, "");
SYMBOL_CRC(cfg80211_reg_check_beaconing, 0x6f49c374, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0xcbb6a51d, "");
SYMBOL_CRC(wdev_chandef, 0xe0d4f219, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x815acf3c, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0x11a87ccd, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0xd1f0c0a3, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwname, 0x31585009, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwmode, 0x04e88eaa, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwmode, 0x096cba31, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrange, 0x4d906a3d, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwrts, 0x2b471f61, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrts, 0xc219baeb, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwfrag, 0x103390ef, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwfrag, 0x1db7a474, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwretry, 0xba121520, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfcd01236, "rfkill_set_hw_state_reason" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc3e157de, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x58d984fa, "__pskb_pull_tail" },
	{ 0xf6e7c51, "netif_rx" },
	{ 0x6c217892, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd4fe069a, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xee93ba41, "bpf_trace_run3" },
	{ 0x71ded8be, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb6e25d54, "get_net_ns_by_pid" },
	{ 0xe6a5dbcb, "debugfs_rename" },
	{ 0x34648843, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5d50acd3, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf7b05dd3, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xde5574cf, "x509_load_certificate_list" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8698b1dc, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x41c4de8d, "genl_unregister_family" },
	{ 0xa2ed3981, "skb_add_rx_frag_netmem" },
	{ 0xea124bd1, "gcd" },
	{ 0x754d539c, "strlen" },
	{ 0x5787f5ed, "bpf_trace_run7" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xddffd585, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xce693ee4, "debugfs_create_dir" },
	{ 0x503443dc, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xda462a77, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xccc1b0e9, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf2396d4c, "get_net_ns_by_fd" },
	{ 0xe5548c62, "class_register" },
	{ 0xdc39c15f, "bpf_trace_run11" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb5e98dee, "register_netdevice" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0xefdf3ed8, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x26a93eb2, "verify_pkcs7_signature" },
	{ 0xcb04ae64, "bpf_trace_run4" },
	{ 0xaf51b509, "skb_copy_bits" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x113545cc, "skb_put" },
	{ 0x25f2b2c8, "kmemdup_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x67c63120, "dev_set_name" },
	{ 0xfedd5ec1, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x24f8077, "trace_raw_output_prep" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x6d958fa3, "bpf_trace_run6" },
	{ 0x72f1efb4, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xdf20f6c6, "request_firmware" },
	{ 0xcda325ce, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x5fc8529d, "device_initialize" },
	{ 0x94649179, "genlmsg_put" },
	{ 0xa9e4fb14, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfbd0f31, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x25c8b734, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x18ac399d, "genlmsg_multicast_allns" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd11b5e20, "unregister_netdevice_queue" },
	{ 0x34950c24, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf155af5a, "netlink_broadcast_filtered" },
	{ 0x2967604d, "keyring_alloc" },
	{ 0x8f3719be, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9613ba70, "device_rename" },
	{ 0xbe04146f, "trace_event_buffer_commit" },
	{ 0x74d0fa9c, "eth_type_trans" },
	{ 0x1e8fac8e, "wireless_nlevent_flush" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc0cbad03, "put_device" },
	{ 0x2f3b20d0, "net_ns_type_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x19562170, "__alloc_skb" },
	{ 0xea5223b5, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x29cc4e8f, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x1054f364, "inet_csk_get_port" },
	{ 0xb113b955, "key_put" },
	{ 0xd6025e5c, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x275f64ef, "__dev_get_by_index" },
	{ 0x73b56def, "perf_trace_run_bpf_submit" },
	{ 0x422c1305, "init_net" },
	{ 0x18346337, "request_firmware_nowait" },
	{ 0xc733fb2a, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4102d826, "device_add" },
	{ 0xa533f59, "sysfs_remove_link" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8d04d660, "init_uts_ns" },
	{ 0x49593b75, "platform_device_unregister" },
	{ 0xf1f86efa, "sk_skb_reason_drop" },
	{ 0xec329d15, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1912b0e, "dev_get_by_index" },
	{ 0xac233e34, "bpf_trace_run5" },
	{ 0x42e3489, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x582a4714, "skb_push" },
	{ 0x172ae672, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1e342f4e, "wireless_send_event" },
	{ 0x8d304f20, "nla_put" },
	{ 0x1439dff, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xeb0d2ab8, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x600677a1, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x36b88e24, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8a305d9e, "bpf_trace_run1" },
	{ 0x7848fec2, "device_del" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "58BDC41D2997CEA70A9BDD9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
