#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_trident_start_voice, "", "");
KSYMTAB_FUNC(snd_trident_stop_voice, "", "");
KSYMTAB_FUNC(snd_trident_write_voice_regs, "", "");
KSYMTAB_FUNC(snd_trident_alloc_voice, "", "");
KSYMTAB_FUNC(snd_trident_free_voice, "", "");

SYMBOL_CRC(snd_trident_start_voice, 0x6d3a6c0b, "");
SYMBOL_CRC(snd_trident_stop_voice, 0xd4887a67, "");
SYMBOL_CRC(snd_trident_write_voice_regs, 0xff16eec9, "");
SYMBOL_CRC(snd_trident_alloc_voice, 0xfee6f0a9, "");
SYMBOL_CRC(snd_trident_free_voice, 0xc4d199db, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7671df27, "snd_mpu401_uart_new" },
	{ 0x560f9a58, "dma_set_mask" },
	{ 0xc7961192, "snd_pcm_period_elapsed" },
	{ 0x9adc8c44, "__snd_util_memblk_new" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xddffd585, "param_ops_int" },
	{ 0x790a8714, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x14e2fd03, "pci_write_config_dword" },
	{ 0x53924b18, "kmalloc_caches" },
	{ 0xc59655e4, "snd_util_mem_avail" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb7a9b10f, "devm_request_threaded_irq" },
	{ 0xd9107781, "snd_ctl_add" },
	{ 0x9c8df5c1, "snd_ac97_resume" },
	{ 0xa45b4639, "snd_pcm_new" },
	{ 0x8db7b395, "snd_card_register" },
	{ 0x98f5f28e, "snd_devm_alloc_dir_pages" },
	{ 0x36828c6f, "__pci_register_driver" },
	{ 0xe9b1ba48, "snd_pcm_hw_constraint_minmax" },
	{ 0xbe12248f, "param_array_ops" },
	{ 0x2c92e29e, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x97bb7474, "snd_card_rw_proc_new" },
	{ 0xecb33e4d, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa00c4af6, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x73310a6d, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2604a20c, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeff09ea2, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xd216f352, "snd_ac97_suspend" },
	{ 0x9f494947, "snd_ctl_boolean_mono_info" },
	{ 0x48abf03b, "_dev_err" },
	{ 0xeda33fa, "snd_util_memhdr_new" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x96806a1d, "snd_ctl_notify" },
	{ 0xaa580f2e, "snd_pcm_set_ops" },
	{ 0xde405b34, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf4a41b54, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0xcf4cc4aa, "pci_set_master" },
	{ 0xc3e157de, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d027e4b, "snd_pcm_format_signed" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbc98d103, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6517719f, "__snd_util_mem_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf7b05dd3, "param_ops_bool" },
	{ 0xdacf82b9, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x72087db7, "pci_write_config_byte" },
	{ 0xc8488beb, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0x914f3491, "snd_util_memhdr_free" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "snd-mpu401-uart,snd-pcm,snd-util-mem,snd,snd-ac97-codec");

MODULE_ALIAS("pci:v00001023d00002000sv*sd*bc04sc01i*");
MODULE_ALIAS("pci:v00001023d00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001039d00007018sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "5E695201FC2A5D668D0D91E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
