#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt5677_sel_asrc_clk_src, "_gpl", "");

SYMBOL_CRC(rt5677_sel_asrc_clk_src, 0x3a3cd510, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x10005191, "gpiochip_add_data_with_key" },
	{ 0xe2128378, "gpiochip_remove" },
	{ 0x85a5ecf4, "snd_soc_get_volsw" },
	{ 0xcd2e2cfb, "regmap_read" },
	{ 0x59bb6d06, "snd_soc_put_volsw" },
	{ 0xf8d17c57, "irq_domain_instantiate" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xab67691a, "irq_create_mapping_affinity" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x4c779ac6, "regmap_update_bits_base" },
	{ 0xf15f0cbd, "snd_soc_dapm_get_volsw" },
	{ 0xf442c893, "i2c_del_driver" },
	{ 0x53807ae0, "regmap_register_patch" },
	{ 0x3c768267, "irq_set_chip" },
	{ 0xa823312, "snd_soc_dapm_get_enum_double" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4b23ee35, "__dev_fwnode" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x16a58ea1, "__devm_regmap_init" },
	{ 0x1e907f3f, "snd_soc_dapm_put_enum_double" },
	{ 0xa19a4e35, "device_property_present" },
	{ 0x67956035, "rt5677_spi_write" },
	{ 0x91e9e692, "irq_domain_xlate_twocell" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd557d10c, "regcache_cache_only" },
	{ 0x4fcac4a1, "regcache_sync" },
	{ 0x481b624c, "regmap_write" },
	{ 0xb7a9b10f, "devm_request_threaded_irq" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0x42570a56, "gpiod_set_value_cansleep" },
	{ 0xdf20f6c6, "request_firmware" },
	{ 0xc6695825, "rt5677_spi_hotword_detected" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x756af594, "regcache_mark_dirty" },
	{ 0x3d69740b, "devm_gpiod_get_optional" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0xb8f0e484, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf6031dc6, "snd_soc_dapm_sync" },
	{ 0x5a4e47b9, "devm_snd_soc_register_component" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x25f60e1f, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3e660fcb, "device_property_read_u32_array" },
	{ 0x8b8061e2, "_dev_info" },
	{ 0xb370552d, "i2c_register_driver" },
	{ 0xa1cb24e8, "snd_soc_info_volsw" },
	{ 0x938c1285, "gpiochip_get_data" },
	{ 0x48abf03b, "_dev_err" },
	{ 0x56d1e969, "device_property_read_u8_array" },
	{ 0x1531a8d5, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x98062ade, "snd_soc_dapm_force_bias_level" },
	{ 0x5a921311, "strncmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xd0e48c84, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xcfe818c2, "_dev_warn" },
	{ 0x165d74d2, "device_get_match_data" },
	{ 0x93b352be, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x71c1710a, "snd_soc_info_enum_double" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm,snd-soc-rt5677-spi");

MODULE_ALIAS("of:N*T*Crealtek,rt5677");
MODULE_ALIAS("of:N*T*Crealtek,rt5677C*");
MODULE_ALIAS("acpi*:RT5677CE:*");

MODULE_INFO(srcversion, "527D773B93084F85BC7612F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
