#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0x489f5f1a, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0xbcd51bd7, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0x048d7054, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0xcc37a11e, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0xda669200, "");
SYMBOL_CRC(hda_dsp_probe_early, 0xf73cca90, "");
SYMBOL_CRC(hda_dsp_probe, 0xbe51d4b7, "");
SYMBOL_CRC(hda_dsp_remove, 0x4cc12696, "");
SYMBOL_CRC(hda_power_down_dsp, 0x57f5ec10, "");
SYMBOL_CRC(hda_pci_intel_probe, 0x023d3cf0, "");
SYMBOL_CRC(sof_hda_common_ops, 0x31027654, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x2ad078bb, "hda_dsp_d0i3_work" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0x3b45fe11, "pci_alloc_irq_vectors" },
	{ 0x2678f88e, "intel_nhlt_get_dmic_geo" },
	{ 0x50a1d7a3, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0x683fb62c, "hda_dsp_ctrl_ppcap_enable" },
	{ 0xe248252, "hda_sdw_process_wakeen" },
	{ 0x255e18f1, "hda_sdw_int_enable" },
	{ 0x23949144, "hda_bus_ml_init" },
	{ 0xdb9456d6, "hda_codec_probe_bus" },
	{ 0x7ed60812, "sof_hda_bus_exit" },
	{ 0xd7304ba7, "sdw_hda_dai_hw_params" },
	{ 0xedc03953, "iounmap" },
	{ 0xe5fd5809, "sdw_intel_exit" },
	{ 0x558579a4, "hda_codec_check_for_state_change" },
	{ 0x8ab31eb7, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0x7812aae2, "sdw_hda_dai_trigger" },
	{ 0x583a5f55, "hda_bus_ml_free" },
	{ 0xfbd0f31, "pcpu_hot" },
	{ 0xe090596e, "hda_dsp_cl_boot_firmware" },
	{ 0xa1bdabfd, "hda_dsp_pcm_hw_params" },
	{ 0xdbb66610, "hda_sdw_check_lcount" },
	{ 0x51f8274e, "snd_intel_dsp_driver_probe" },
	{ 0x2a58b61b, "pci_irq_vector" },
	{ 0x4e79380e, "hda_dsp_ctrl_clock_power_gating" },
	{ 0xb8f0e484, "__dynamic_dev_dbg" },
	{ 0x6a5f13f8, "pci_ioremap_bar" },
	{ 0x278207dc, "hda_dsp_ctrl_init_chip" },
	{ 0xc68c0d23, "sdw_hda_dai_hw_free" },
	{ 0x3b838c1b, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7101fe0d, "hda_dsp_suspend" },
	{ 0x10d7b85f, "hda_dsp_runtime_suspend" },
	{ 0x3d982cd9, "hda_codec_i915_exit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7d80eb3a, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0xb414761b, "hda_dai_config" },
	{ 0x33cebc1d, "hda_probes_unregister" },
	{ 0x5f680b20, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xac3876aa, "hda_dsp_pcm_ack" },
	{ 0xd98efb8b, "hda_dsp_trace_release" },
	{ 0xd1f3686f, "__SCK__tp_func_sof_intel_hda_irq" },
	{ 0x8b8061e2, "_dev_info" },
	{ 0xc83706a3, "hda_dsp_dump" },
	{ 0x52639d71, "sdw_intel_startup" },
	{ 0x7726eb7, "hda_dsp_pcm_pointer" },
	{ 0x3b7ba16d, "sdw_intel_process_wakeen_event" },
	{ 0xea388685, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x73d37a4d, "sof_mailbox_read" },
	{ 0xc43e0700, "hda_bus_ml_put_all" },
	{ 0x48abf03b, "_dev_err" },
	{ 0xa640530a, "debugfs_create_bool" },
	{ 0x5dfa628f, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xcf8220a1, "__tracepoint_sof_intel_hda_irq" },
	{ 0x49593b75, "platform_device_unregister" },
	{ 0x53a8b0f2, "hda_dsp_trace_init" },
	{ 0xa27c0363, "snd_soc_acpi_find_machine" },
	{ 0xe392e8c3, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0xc5f3f295, "hda_codec_device_remove" },
	{ 0xef3364df, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x773bbf53, "snd_sof_dsp_update_bits" },
	{ 0x66adfbe7, "snd_sof_pci_update_bits" },
	{ 0xfb19a12a, "sof_hda_bus_init" },
	{ 0x6a804f5d, "hda_dsp_runtime_idle" },
	{ 0x5633e2c8, "hda_dsp_pcm_open" },
	{ 0xcfe818c2, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x671b9a6c, "sdw_intel_lnl_hw_ops" },
	{ 0xcf4cc4aa, "pci_set_master" },
	{ 0xc3e157de, "param_ops_charp" },
	{ 0x7af904af, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0xff04a030, "hda_dsp_pcm_close" },
	{ 0xbc98d103, "dma_set_coherent_mask" },
	{ 0x3d8d9eb1, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x98f5229f, "hda_check_ipc_irq" },
	{ 0x34648843, "platform_device_register_full" },
	{ 0xe84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0xe08a82e1, "hda_dsp_runtime_resume" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x715eac35, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x80734fc6, "sof_machine_unregister" },
	{ 0xe84413cc, "skl_dai" },
	{ 0x5eeb2a77, "hda_dsp_get_stream_llp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf5abb53, "sdw_intel_probe" },
	{ 0x745b8362, "snd_sof_load_firmware_raw" },
	{ 0x9bb370b9, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0xf2c4fb96, "hda_is_chain_dma_supported" },
	{ 0xe4c49839, "hda_dsp_resume" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0x560f9a58, "dma_set_mask" },
	{ 0x8e4e3dbb, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0x47153967, "dev_err_probe" },
	{ 0xb742077c, "hda_dsp_stream_init" },
	{ 0x78048f22, "hda_dsp_get_stream_ldp" },
	{ 0xaab0f85, "hda_dsp_stream_free" },
	{ 0xb7768604, "hda_dsp_ctrl_get_caps" },
	{ 0xddffd585, "param_ops_int" },
	{ 0xcad97737, "intel_nhlt_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x64b67cb8, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0xe85a684b, "hda_codec_i915_init" },
	{ 0x4370d4cc, "pci_free_irq_vectors" },
	{ 0xa9884326, "hda_dsp_check_stream_irq" },
	{ 0x4966a3e, "hda_set_stream_data_offset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0x95a6d5f, "hda_dsp_ipc_get_window_offset" },
	{ 0x7fd387cb, "hda_ipc_msg_data" },
	{ 0x8f5edc, "sof_machine_register" },
	{ 0x48b14d66, "hdac_bus_eml_get_mutex" },
	{ 0x3089c6e9, "snd_soc_acpi_intel_hda_machines" },
	{ 0x6a481c02, "hda_dsp_set_hw_params_upon_resume" },
	{ 0x88a822cd, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0x9bec2bce, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x627b1712, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xc6cce6e7, "hda_get_interface_mask" },
	{ 0x83ad9208, "hda_codec_i915_display_power" },
	{ 0x6311f64b, "is_acpi_device_node" },
	{ 0x29648866, "hda_dsp_pcm_trigger" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "soundwire-intel,snd-sof-intel-hda-common,snd-intel-dspcfg,snd-sof-intel-hda-mlink,snd-sof-intel-hda,snd-sof-xtensa-dsp,snd-sof-pci,snd-sof,snd-soc-acpi,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "552CE4F4495C0CEA4E1F899");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
